#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(af_alg_register_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_unregister_type, "_gpl", "");
KSYMTAB_FUNC(af_alg_release, "_gpl", "");
KSYMTAB_FUNC(af_alg_release_parent, "_gpl", "");
KSYMTAB_FUNC(af_alg_accept, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_sg, "_gpl", "");
KSYMTAB_FUNC(af_alg_count_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_pull_tsgl, "_gpl", "");
KSYMTAB_FUNC(af_alg_wmem_wakeup, "_gpl", "");
KSYMTAB_FUNC(af_alg_wait_for_data, "_gpl", "");
KSYMTAB_FUNC(af_alg_sendmsg, "_gpl", "");
KSYMTAB_FUNC(af_alg_free_resources, "_gpl", "");
KSYMTAB_FUNC(af_alg_async_cb, "_gpl", "");
KSYMTAB_FUNC(af_alg_poll, "_gpl", "");
KSYMTAB_FUNC(af_alg_alloc_areq, "_gpl", "");
KSYMTAB_FUNC(af_alg_get_rsgl, "_gpl", "");

SYMBOL_CRC(af_alg_register_type, 0xb244edc8, "_gpl");
SYMBOL_CRC(af_alg_unregister_type, 0x16a5f3f6, "_gpl");
SYMBOL_CRC(af_alg_release, 0x3ddf22a2, "_gpl");
SYMBOL_CRC(af_alg_release_parent, 0x35d14e06, "_gpl");
SYMBOL_CRC(af_alg_accept, 0x554ea991, "_gpl");
SYMBOL_CRC(af_alg_free_sg, 0x634264a9, "_gpl");
SYMBOL_CRC(af_alg_count_tsgl, 0x8222bed7, "_gpl");
SYMBOL_CRC(af_alg_pull_tsgl, 0xb644baf1, "_gpl");
SYMBOL_CRC(af_alg_wmem_wakeup, 0xb27ec37e, "_gpl");
SYMBOL_CRC(af_alg_wait_for_data, 0x3ece42c0, "_gpl");
SYMBOL_CRC(af_alg_sendmsg, 0x986941d4, "_gpl");
SYMBOL_CRC(af_alg_free_resources, 0x4295f1cc, "_gpl");
SYMBOL_CRC(af_alg_async_cb, 0x27e92408, "_gpl");
SYMBOL_CRC(af_alg_poll, 0x79d827b0, "_gpl");
SYMBOL_CRC(af_alg_alloc_areq, 0x61309f4a, "_gpl");
SYMBOL_CRC(af_alg_get_rsgl, 0xa7124c25, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa7c74fe8, "sk_alloc" },
	{ 0xddd63233, "sock_init_data" },
	{ 0x505c2c04, "sock_kmalloc" },
	{ 0x1207d468, "proto_register" },
	{ 0xc94fd9b5, "sock_register" },
	{ 0x19c39eed, "proto_unregister" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x53b954a2, "up_read" },
	{ 0x6a9ccada, "try_module_get" },
	{ 0x92deb4f0, "lock_sock_nested" },
	{ 0x384bd4b3, "release_sock" },
	{ 0xfd6f2443, "module_put" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xf7422b45, "unpin_user_page" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcc520d2a, "sk_free" },
	{ 0x5d22f409, "security_sock_graft" },
	{ 0xbd309c32, "security_sk_clone" },
	{ 0xb4da23ea, "sock_kfree_s" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9cd98c73, "__folio_put" },
	{ 0x2c441af9, "__put_devmap_managed_folio_refs" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc2afe88, "extract_iter_to_sg" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x57bc19d2, "down_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xce807a25, "up_write" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf6625b38, "sock_wake_async" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7f58b5cd, "_copy_from_iter" },
	{ 0xc610012a, "const_pcpu_hot" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc62c71f7, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x69acdf38, "memcpy" },
	{ 0x7df9bbf3, "iov_iter_revert" },
	{ 0x193ea913, "__free_pages" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dc6c93b, "lookup_user_key" },
	{ 0xf3e7230b, "key_put" },
	{ 0x1d328d92, "sock_kzfree_s" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x54f961e8, "sock_no_connect" },
	{ 0xdbaa9d75, "sock_no_socketpair" },
	{ 0xae5ebea9, "sock_no_getname" },
	{ 0x8936ce0e, "sock_no_ioctl" },
	{ 0xc7aead6e, "sock_no_listen" },
	{ 0x8d9cbce5, "sock_no_shutdown" },
	{ 0xfebd7b75, "sock_no_sendmsg" },
	{ 0x6097e10b, "sock_no_recvmsg" },
	{ 0x6edc17fd, "sock_no_mmap" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E26F094326DCF0D34FCB9C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
