#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_is_usb, "_gpl", "");
KSYMTAB_FUNC(hiddev_hid_event, "_gpl", "");

SYMBOL_CRC(hid_is_usb, 0x661b02b9, "_gpl");
SYMBOL_CRC(hiddev_hid_event, 0x595acf68, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc610012a, "const_pcpu_hot" },
	{ 0xb8d94345, "usb_submit_urb" },
	{ 0x34434ae6, "_dev_info" },
	{ 0x980914d8, "usb_queue_reset_device" },
	{ 0xd7e924c6, "hid_alloc_report_buf" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x55f55110, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf58475c1, "_dev_err" },
	{ 0x78cee118, "usb_free_coherent" },
	{ 0x7b462c64, "hid_set_field" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x1d6a0ee8, "noop_llseek" },
	{ 0x6626afca, "down" },
	{ 0xfd5b054, "hid_hw_request" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x283100c9, "hid_hw_open" },
	{ 0x7f4d14ea, "usb_control_msg" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xe1190b19, "usb_register_dev" },
	{ 0x4336a25f, "hid_check_keys_pressed" },
	{ 0x169717e3, "fasync_helper" },
	{ 0x8fb48793, "usb_unpoison_urb" },
	{ 0x637c3519, "usb_autopm_put_interface_async" },
	{ 0xfcc86bac, "hid_hw_close" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x19d52f1f, "hid_quirks_exit" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x1d8ca045, "usb_deregister" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xcb77668f, "usb_string" },
	{ 0xfb578fc5, "memset" },
	{ 0x4bcdc1b6, "_dev_warn" },
	{ 0x5a37c147, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe87ef27b, "usb_block_urb" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf777b57c, "hid_input_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa45a9b1b, "usb_unlink_urb" },
	{ 0x9da7d04d, "_dev_notice" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xee1deb61, "usb_autopm_get_interface" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xde2c4e0f, "input_ff_create" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0x8bb3c677, "usb_deregister_dev" },
	{ 0x204e00aa, "usb_kill_urb" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xf111a212, "hid_parse_report" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x754d539c, "strlen" },
	{ 0xfa355613, "hid_quirks_init" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd36760ef, "__usb_get_extra_descriptor" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9f4737d, "__dev_fwnode" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0x2f233e2, "hid_add_device" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8385e49e, "hid_output_report" },
	{ 0x6cf30a79, "hid_lookup_quirk" },
	{ 0x5544885b, "usb_alloc_urb" },
	{ 0xdd076081, "device_set_wakeup_enable" },
	{ 0xc294161d, "usb_autopm_put_interface" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc094bc0, "usb_free_urb" },
	{ 0x5c0598f0, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3b03f32c, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf94819b9, "hid_driver_suspend" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x3047d7cf, "kill_fasync" },
	{ 0x1912d62d, "usb_register_driver" },
	{ 0xcb212ed6, "hid_driver_reset_resume" },
	{ 0xcf2a6966, "up" },
	{ 0x27c4b216, "param_array_ops" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfee25ea9, "hidinput_count_leds" },
	{ 0x1a6530d9, "usb_autopm_put_interface_no_suspend" },
	{ 0x29e2f2c7, "hid_driver_resume" },
	{ 0xefbffff5, "usb_autopm_get_interface_no_resume" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x8b1e4b8, "hid_allocate_device" },
	{ 0x59eb0336, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x675fc1b6, "hid_destroy_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x8d927e61, "usb_interrupt_msg" },
	{ 0xe10ae647, "usb_find_interface" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x22f4b082, "device_set_node" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xfd0d7cf0, "usb_clear_halt" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xe3e2a7a, "usb_autopm_get_interface_async" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "usbcore");

MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic03isc*ip*in*");

MODULE_INFO(srcversion, "F23B61DA446C27958916F39");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
