#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_clt_get_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_put_permit, "", "");
KSYMTAB_FUNC(rtrs_clt_open, "", "");
KSYMTAB_FUNC(rtrs_clt_close, "", "");
KSYMTAB_FUNC(rtrs_clt_request, "", "");
KSYMTAB_FUNC(rtrs_clt_rdma_cq_direct, "", "");
KSYMTAB_FUNC(rtrs_clt_query, "", "");

SYMBOL_CRC(rtrs_clt_get_permit, 0x4b312569, "");
SYMBOL_CRC(rtrs_clt_put_permit, 0xcc18eb4a, "");
SYMBOL_CRC(rtrs_clt_open, 0x17426560, "");
SYMBOL_CRC(rtrs_clt_close, 0xcd4fc98c, "");
SYMBOL_CRC(rtrs_clt_request, 0x72a6b492, "");
SYMBOL_CRC(rtrs_clt_rdma_cq_direct, 0x68e1451f, "");
SYMBOL_CRC(rtrs_clt_query, 0x300eb0db, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xa2c6a2a, "rtrs_ib_dev_find_or_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x8976738, "__rdma_create_kernel_id" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xd16828e4, "put_device" },
	{ 0xbce1b10, "rtrs_rdma_dev_pd_deinit" },
	{ 0x9f6fb66a, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0xc610012a, "const_pcpu_hot" },
	{ 0x76605ae, "rdma_resolve_route" },
	{ 0xb8f11dce, "ib_unregister_event_handler" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc90e5d17, "rtrs_iu_free" },
	{ 0x44055606, "ib_map_mr_sg" },
	{ 0x3685b3eb, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x69e683de, "uuid_gen" },
	{ 0x9b0ffbf5, "perf_trace_run_bpf_submit" },
	{ 0x8ac87f26, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x60778c62, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2773c485, "__wake_up_locked" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa27affb, "kobj_sysfs_ops" },
	{ 0xcab53535, "rtrs_cq_qp_destroy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x48c11309, "trace_event_reg" },
	{ 0x29303298, "iov_iter_kvec" },
	{ 0x4ac3fac, "rtrs_iu_post_recv" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xc9d0c745, "kobject_init_and_add" },
	{ 0x8b3cfade, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x529d7697, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x95973c69, "sysfs_remove_file_self" },
	{ 0x168cdc38, "bpf_trace_run1" },
	{ 0xa3a429b4, "device_del" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd043daa6, "ib_alloc_mr" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x60a6567c, "rdma_connect_locked" },
	{ 0x96ed702e, "rdma_set_reuseaddr" },
	{ 0xd4490944, "kobject_create_and_add" },
	{ 0xe15357ef, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe3c71295, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0xb78f4ffc, "ib_dma_virt_map_sg" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x24142b18, "kobject_del" },
	{ 0x3bd0d866, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd03ef704, "rdma_destroy_id" },
	{ 0xdcff3c38, "__dma_sync_single_for_device" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6ec83361, "rtrs_start_hb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xece3def7, "kobject_uevent" },
	{ 0x7f58b5cd, "_copy_from_iter" },
	{ 0x786977ed, "ib_drain_qp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x74ff35fa, "dma_unmap_sg_attrs" },
	{ 0x5fd6de41, "rtrs_cq_qp_create" },
	{ 0x1b0ac162, "rtrs_ib_dev_put" },
	{ 0x754d539c, "strlen" },
	{ 0xf0e45bd, "rtrs_init_hb" },
	{ 0xe956976f, "rdma_consumer_reject_data" },
	{ 0x35d21261, "rtrs_stop_hb" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xcbf1aa62, "rtrs_send_hb_ack" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf7c04888, "rtrs_iu_alloc" },
	{ 0xe9d889fb, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0x9858f364, "get_random_u8" },
	{ 0x4ccc64b6, "dma_map_sg_attrs" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xc71d4948, "kobject_put" },
	{ 0x242a8646, "rtrs_addr_to_str" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xeb29938c, "rdma_reject_msg" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfc5954f0, "dev_set_name" },
	{ 0x887302f3, "rtrs_addr_to_sockaddr" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19e7d3ef, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xa6b3b584, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x935df379, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x68cc569c, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xbdf692c, "rdma_resolve_addr" },
	{ 0x8d49f831, "device_initialize" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x3467017a, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb6f72ff1, "rtrs_post_recv_empty" },
	{ 0xebc5c21a, "pcpu_hot" },
	{ 0x8ea196a4, "ib_dereg_mr_user" },
	{ 0x6e22397b, "ib_process_cq_direct" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x13a1938b, "rtrs_iu_post_rdma_write_imm" },
	{ 0x915d452e, "rtrs_iu_post_send" },
	{ 0xe2964344, "__wake_up" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc7530c5d, "rdma_disconnect" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd8ec4d83, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b086147, "rtrs_rdma_dev_pd_init" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,rdma_cm,ib_core");


MODULE_INFO(srcversion, "B526B836AB82D195650C8B9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
