#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx231xx_get_i2c_adap, "_gpl", "");
KSYMTAB_FUNC(cx231xx_tuner_callback, "_gpl", "");
KSYMTAB_FUNC(cx231xx_register_extension, "", "");
KSYMTAB_FUNC(cx231xx_unregister_extension, "", "");
KSYMTAB_FUNC(cx231xx_send_usb_command, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_alt_setting, "_gpl", "");
KSYMTAB_FUNC(cx231xx_demod_reset, "_gpl", "");
KSYMTAB_FUNC(is_fw_load, "_gpl", "");
KSYMTAB_FUNC(cx231xx_set_mode, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_bulk, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_init, "_gpl", "");
KSYMTAB_FUNC(cx231xx_dev_uninit, "_gpl", "");
KSYMTAB_FUNC(cx231xx_send_gpio_cmd, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_disable656, "_gpl", "");
KSYMTAB_FUNC(cx231xx_unmute_audio, "_gpl", "");
KSYMTAB_FUNC(cx231xx_enable_i2c_port_3, "_gpl", "");
KSYMTAB_FUNC(cx231xx_capture_start, "_gpl", "");
KSYMTAB_FUNC(cx231xx_uninit_vbi_isoc, "_gpl", "");
KSYMTAB_FUNC(cx231xx_init_vbi_isoc, "_gpl", "");

SYMBOL_CRC(cx231xx_get_i2c_adap, 0xbc130ca9, "_gpl");
SYMBOL_CRC(cx231xx_tuner_callback, 0x017ea7c7, "_gpl");
SYMBOL_CRC(cx231xx_register_extension, 0xe84fd8c6, "");
SYMBOL_CRC(cx231xx_unregister_extension, 0x05ac7c2f, "");
SYMBOL_CRC(cx231xx_send_usb_command, 0x4be718a8, "_gpl");
SYMBOL_CRC(cx231xx_set_alt_setting, 0xb0815051, "_gpl");
SYMBOL_CRC(cx231xx_demod_reset, 0xe7be119b, "_gpl");
SYMBOL_CRC(is_fw_load, 0x9fd6fa8f, "_gpl");
SYMBOL_CRC(cx231xx_set_mode, 0x59ab56af, "_gpl");
SYMBOL_CRC(cx231xx_uninit_isoc, 0xf16ec81e, "_gpl");
SYMBOL_CRC(cx231xx_uninit_bulk, 0x5c054ab8, "_gpl");
SYMBOL_CRC(cx231xx_init_isoc, 0x6d26386a, "_gpl");
SYMBOL_CRC(cx231xx_init_bulk, 0xce43ed75, "_gpl");
SYMBOL_CRC(cx231xx_dev_init, 0xfc000fd0, "_gpl");
SYMBOL_CRC(cx231xx_dev_uninit, 0xfe4dffc0, "_gpl");
SYMBOL_CRC(cx231xx_send_gpio_cmd, 0x5a019cfa, "_gpl");
SYMBOL_CRC(cx231xx_enable656, 0x5960c4d0, "_gpl");
SYMBOL_CRC(cx231xx_disable656, 0xf7ec3e0d, "_gpl");
SYMBOL_CRC(cx231xx_unmute_audio, 0x16c922db, "_gpl");
SYMBOL_CRC(cx231xx_enable_i2c_port_3, 0x8560a81b, "_gpl");
SYMBOL_CRC(cx231xx_capture_start, 0x884174f7, "_gpl");
SYMBOL_CRC(cx231xx_uninit_vbi_isoc, 0x4afb07ee, "_gpl");
SYMBOL_CRC(cx231xx_init_vbi_isoc, 0xb8717673, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xfd0d7cf0, "usb_clear_halt" },
	{ 0xc6f81749, "usb_put_dev" },
	{ 0xdfd08c14, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72231367, "video_devdata" },
	{ 0xd3f31111, "vb2_fop_release" },
	{ 0xdaf89004, "cx2341x_handler_setup" },
	{ 0xa916b694, "strnlen" },
	{ 0x921aceab, "usb_get_dev" },
	{ 0xf5ef842e, "v4l_bound_align_image" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb8d94345, "usb_submit_urb" },
	{ 0x34434ae6, "_dev_info" },
	{ 0x1fee4d52, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7f3612d5, "media_device_register_entity" },
	{ 0x4e2ef11a, "media_device_cleanup" },
	{ 0x7d48979b, "vb2_ioctl_dqbuf" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf58475c1, "_dev_err" },
	{ 0xd30edfaf, "i2c_unregister_device" },
	{ 0x78cee118, "usb_free_coherent" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7f4d14ea, "usb_control_msg" },
	{ 0x14bb2203, "vb2_buffer_done" },
	{ 0xd9dd8239, "vb2_plane_vaddr" },
	{ 0xff8e4394, "v4l2_ctrl_subscribe_event" },
	{ 0x228c504d, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x758f02e4, "media_entity_pads_init" },
	{ 0x2cba86fd, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x37c946b9, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x1d8ca045, "usb_deregister" },
	{ 0x2a9f6954, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe08c5bb6, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x5f5691ad, "v4l2_s_ctrl" },
	{ 0xd93d91e6, "i2c_mux_alloc" },
	{ 0x4a1f89c4, "vb2_vmalloc_memops" },
	{ 0xfb578fc5, "memset" },
	{ 0x4bcdc1b6, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa2ed4ee2, "vb2_fop_read" },
	{ 0x8c2b0514, "v4l2_device_register" },
	{ 0xde612ac3, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6505da74, "rc_allocate_device" },
	{ 0x27877787, "pv_ops" },
	{ 0xa45a9b1b, "usb_unlink_urb" },
	{ 0x7b167032, "media_entity_setup_link" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7318ed2a, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0x204e00aa, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x81978fe6, "vb2_ioctl_streamon" },
	{ 0xa2fda79f, "v4l2_mc_create_media_graph" },
	{ 0x11a9bde2, "vb2_fop_poll" },
	{ 0xeb219c10, "cx2341x_handler_init" },
	{ 0x20653ab4, "cx2341x_handler_set_50hz" },
	{ 0x867749ee, "__media_device_usb_init" },
	{ 0xdee86760, "v4l2_ctrl_handler_free" },
	{ 0x1fd014db, "i2c_transfer" },
	{ 0x7188ecc4, "v4l2_device_unregister" },
	{ 0xc3f21395, "usb_reset_endpoint" },
	{ 0xef666fba, "i2c_mux_del_adapters" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x9488e391, "v4l2_subdev_call_wrappers" },
	{ 0x183aa07c, "v4l2_ctrl_log_status" },
	{ 0xa06a24e4, "v4l2_i2c_new_subdev" },
	{ 0x7a331529, "param_ops_int" },
	{ 0x6191c89b, "video_device_release_empty" },
	{ 0x417e95a3, "i2c_mux_add_adapter" },
	{ 0xef1c065c, "_vb2_fop_release" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc7e13f57, "v4l2_event_unsubscribe" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x757d7c9d, "vb2_ioctl_reqbufs" },
	{ 0xf931c9d5, "vb2_queue_init" },
	{ 0x5544885b, "usb_alloc_urb" },
	{ 0x9712abf6, "v4l2_ctrl_poll" },
	{ 0x1b19666a, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb362d7d2, "media_device_unregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc094bc0, "usb_free_urb" },
	{ 0xeacb788d, "devm_kmalloc" },
	{ 0x61245a94, "vb2_ioctl_streamoff" },
	{ 0x922c6b00, "v4l2_ctrl_radio_filter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3b03f32c, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8daee489, "v4l2_ctrl_add_handler" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xb55a78fb, "request_firmware" },
	{ 0x1912d62d, "usb_register_driver" },
	{ 0x9622e58f, "v4l2_ctrl_handler_init_class" },
	{ 0x27c4b216, "param_array_ops" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2cfa4cc7, "__media_device_register" },
	{ 0x2adcc2dd, "vb2_ioctl_querybuf" },
	{ 0x382432da, "i2c_transfer_buffer_flags" },
	{ 0xe2964344, "__wake_up" },
	{ 0xd4807496, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x59eb0336, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,cx2341x,mc,videobuf2-common,i2c-mux,videobuf2-vmalloc,rc-core,tveeprom");

MODULE_ALIAS("usb:v1D19p6108d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1D19p6109d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p5A3Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A1d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A4d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A5d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p589Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0572p58A0d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07CApC039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB110d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB111d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB120d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB123d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB124d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB151d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB150d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB130d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB131d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB138d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB139d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pB140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2040pC200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p0259d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2013p025Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5010d400[0-1]dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1554p5014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE424d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pE421d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0237d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0FD9p0037d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1F4Dp0102d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0CCDp00A6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1B80pD3B2d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v15F4p0135d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v199Ep8002d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "12B20A276628B47CF2E25E6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
