#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ntb_register_client, "", "");
KSYMTAB_FUNC(ntb_unregister_client, "", "");
KSYMTAB_FUNC(ntb_register_device, "", "");
KSYMTAB_FUNC(ntb_unregister_device, "", "");
KSYMTAB_FUNC(ntb_set_ctx, "", "");
KSYMTAB_FUNC(ntb_clear_ctx, "", "");
KSYMTAB_FUNC(ntb_link_event, "", "");
KSYMTAB_FUNC(ntb_db_event, "", "");
KSYMTAB_FUNC(ntb_msg_event, "", "");
KSYMTAB_FUNC(ntb_default_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_count, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_number, "", "");
KSYMTAB_FUNC(ntb_default_peer_port_idx, "", "");
KSYMTAB_FUNC(ntb_msi_init, "", "");
KSYMTAB_FUNC(ntb_msi_setup_mws, "", "");
KSYMTAB_FUNC(ntb_msi_clear_mws, "", "");
KSYMTAB_FUNC(ntbm_msi_request_threaded_irq, "", "");
KSYMTAB_FUNC(ntbm_msi_free_irq, "", "");
KSYMTAB_FUNC(ntb_msi_peer_trigger, "", "");
KSYMTAB_FUNC(ntb_msi_peer_addr, "", "");

SYMBOL_CRC(__ntb_register_client, 0x3ae1645f, "");
SYMBOL_CRC(ntb_unregister_client, 0x100b21e5, "");
SYMBOL_CRC(ntb_register_device, 0xbd363710, "");
SYMBOL_CRC(ntb_unregister_device, 0xfa5eae35, "");
SYMBOL_CRC(ntb_set_ctx, 0xea52e77d, "");
SYMBOL_CRC(ntb_clear_ctx, 0xc565a648, "");
SYMBOL_CRC(ntb_link_event, 0xf92cb473, "");
SYMBOL_CRC(ntb_db_event, 0x3a3931e0, "");
SYMBOL_CRC(ntb_msg_event, 0x52b8ccf3, "");
SYMBOL_CRC(ntb_default_port_number, 0x9491d3af, "");
SYMBOL_CRC(ntb_default_peer_port_count, 0x288da3a7, "");
SYMBOL_CRC(ntb_default_peer_port_number, 0x2e97cc27, "");
SYMBOL_CRC(ntb_default_peer_port_idx, 0xad8a43f1, "");
SYMBOL_CRC(ntb_msi_init, 0x1d29ced7, "");
SYMBOL_CRC(ntb_msi_setup_mws, 0xf8fa03f5, "");
SYMBOL_CRC(ntb_msi_clear_mws, 0x529ac0b6, "");
SYMBOL_CRC(ntbm_msi_request_threaded_irq, 0x2c8ac7aa, "");
SYMBOL_CRC(ntbm_msi_free_irq, 0x9134eb9d, "");
SYMBOL_CRC(ntb_msi_peer_trigger, 0x83817b2b, "");
SYMBOL_CRC(ntb_msi_peer_addr, 0x517f33ac, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfc5954f0, "dev_set_name" },
	{ 0xa6257a2f, "complete" },
	{ 0x6f06d987, "devm_iounmap" },
	{ 0xa6b3b584, "device_unregister" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xa644b979, "devres_destroy" },
	{ 0xd2cab9ff, "msi_unlock_descs" },
	{ 0xe3097182, "devm_ioremap" },
	{ 0x293bd0d9, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x2753e3a9, "msi_lock_descs" },
	{ 0xc192b3e1, "devres_add" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd16828e4, "put_device" },
	{ 0x52aca4e0, "devm_free_irq" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb33b016a, "bus_unregister" },
	{ 0xde55467f, "devm_kfree" },
	{ 0x1101b7ae, "irq_get_irq_data" },
	{ 0xbcdffd89, "__devres_alloc_node" },
	{ 0xae731d70, "driver_unregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x46d779ce, "device_register" },
	{ 0x4bcdc1b6, "_dev_warn" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb36eec69, "msi_domain_first_desc" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x721b772c, "msi_next_desc" },
	{ 0xce5d572d, "driver_register" },
	{ 0x8b579f33, "bus_register" },
	{ 0x6f7e6040, "irq_has_action" },
	{ 0x834828cb, "devm_request_threaded_irq" },
	{ 0xeacb788d, "devm_kmalloc" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5A412D77824E7022E588C0B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
