#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ntb_transport_unregister_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client_dev, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_register_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_unregister_client, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_create_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_free_queue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_remove, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_rx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_enqueue, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_up, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_down, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_link_query, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_qp_num, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_max_size, "_gpl", "");
KSYMTAB_FUNC(ntb_transport_tx_free_entry, "_gpl", "");

SYMBOL_CRC(ntb_transport_unregister_client_dev, 0xf9eb813f, "_gpl");
SYMBOL_CRC(ntb_transport_register_client_dev, 0xf55d6313, "_gpl");
SYMBOL_CRC(ntb_transport_register_client, 0xe8f9b3d4, "_gpl");
SYMBOL_CRC(ntb_transport_unregister_client, 0x2a171a04, "_gpl");
SYMBOL_CRC(ntb_transport_create_queue, 0x3ed58426, "_gpl");
SYMBOL_CRC(ntb_transport_free_queue, 0xc270dc24, "_gpl");
SYMBOL_CRC(ntb_transport_rx_remove, 0xc37d9036, "_gpl");
SYMBOL_CRC(ntb_transport_rx_enqueue, 0xd40e7a02, "_gpl");
SYMBOL_CRC(ntb_transport_tx_enqueue, 0x3d54dbfc, "_gpl");
SYMBOL_CRC(ntb_transport_link_up, 0x9c992c8f, "_gpl");
SYMBOL_CRC(ntb_transport_link_down, 0x436098aa, "_gpl");
SYMBOL_CRC(ntb_transport_link_query, 0x32537aca, "_gpl");
SYMBOL_CRC(ntb_transport_qp_num, 0x82e6c13d, "_gpl");
SYMBOL_CRC(ntb_transport_max_size, 0x30934216, "_gpl");
SYMBOL_CRC(ntb_transport_tx_free_entry, 0x0862001f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xca9423af, "debugfs_remove" },
	{ 0xa24fb752, "dma_alloc_attrs" },
	{ 0xec356484, "dma_free_attrs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf58475c1, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0x96848186, "scnprintf" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x100b21e5, "ntb_unregister_client" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xa6b3b584, "device_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe9d08da4, "__kmalloc_cache_node_noprof" },
	{ 0xfc5954f0, "dev_set_name" },
	{ 0x46d779ce, "device_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x4a453f53, "iowrite32" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x69acdf38, "memcpy" },
	{ 0x52aca4e0, "devm_free_irq" },
	{ 0x2c8ac7aa, "ntbm_msi_request_threaded_irq" },
	{ 0x4bcdc1b6, "_dev_warn" },
	{ 0x3b423410, "__copy_user_nocache" },
	{ 0x83817b2b, "ntb_msi_peer_trigger" },
	{ 0x40169694, "dmaengine_get_unmap_data" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x93f1302a, "dma_map_page_attrs" },
	{ 0x5df9b442, "dmaengine_unmap_put" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xae3131e0, "dma_release_channel" },
	{ 0x5715af0c, "__dma_request_channel" },
	{ 0x4b7ecca5, "dma_map_resource" },
	{ 0xbc003b1e, "dma_unmap_resource" },
	{ 0xff22a5c3, "dma_sync_wait" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc565a648, "ntb_clear_ctx" },
	{ 0xedc03953, "iounmap" },
	{ 0xf8fa03f5, "ntb_msi_setup_mws" },
	{ 0x9c5b3902, "__kmalloc_node_noprof" },
	{ 0xfd93ee35, "ioremap_wc" },
	{ 0x1d29ced7, "ntb_msi_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x580c1902, "debugfs_create_file_full" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x288da3a7, "ntb_default_peer_port_count" },
	{ 0xea52e77d, "ntb_set_ctx" },
	{ 0xf92cb473, "ntb_link_event" },
	{ 0x3561eee8, "simple_open" },
	{ 0x28777ed0, "param_ops_bool" },
	{ 0x5c0598f0, "param_ops_uint" },
	{ 0x9cb4814b, "param_ops_byte" },
	{ 0x8a582fb0, "param_ops_ulong" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd16828e4, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x293bd0d9, "get_device" },
	{ 0xce5d572d, "driver_register" },
	{ 0xae731d70, "driver_unregister" },
	{ 0x59eb0336, "__dynamic_dev_dbg" },
	{ 0x34434ae6, "_dev_info" },
	{ 0x92997ed8, "_printk" },
	{ 0x716265c7, "debugfs_initialized" },
	{ 0x11a4c250, "debugfs_create_dir" },
	{ 0x8b579f33, "bus_register" },
	{ 0x3ae1645f, "__ntb_register_client" },
	{ 0xb33b016a, "bus_unregister" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "ntb");


MODULE_INFO(srcversion, "498EEB3592AD22EE38A9546");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
