#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssam_get_controller, "_gpl", "");
KSYMTAB_FUNC(ssam_client_link, "_gpl", "");
KSYMTAB_FUNC(ssam_client_bind, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_get, "_gpl", "");
KSYMTAB_FUNC(ssh_packet_put, "_gpl", "");
KSYMTAB_DATA(ssam_device_type, "_gpl", "");
KSYMTAB_FUNC(ssam_device_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_device_add, "_gpl", "");
KSYMTAB_FUNC(ssam_device_remove, "_gpl", "");
KSYMTAB_FUNC(ssam_device_id_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match, "_gpl", "");
KSYMTAB_FUNC(ssam_device_get_match_data, "_gpl", "");
KSYMTAB_FUNC(__ssam_device_driver_register, "_gpl", "");
KSYMTAB_FUNC(ssam_device_driver_unregister, "_gpl", "");
KSYMTAB_FUNC(__ssam_register_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_remove_clients, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_device, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_get, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_put, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_statelock, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_stateunlock, "_gpl", "");
KSYMTAB_FUNC(ssam_request_write_data, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_alloc, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_free, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_init, "_gpl", "");
KSYMTAB_FUNC(ssam_request_sync_submit, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync, "_gpl", "");
KSYMTAB_FUNC(ssam_request_do_sync_with_buffer, "_gpl", "");
KSYMTAB_FUNC(ssam_notifier_register, "_gpl", "");
KSYMTAB_FUNC(__ssam_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_enable, "_gpl", "");
KSYMTAB_FUNC(ssam_controller_event_disable, "_gpl", "");

SYMBOL_CRC(ssam_get_controller, 0x4a7a8976, "_gpl");
SYMBOL_CRC(ssam_client_link, 0xeec90507, "_gpl");
SYMBOL_CRC(ssam_client_bind, 0xe49a5955, "_gpl");
SYMBOL_CRC(ssh_packet_get, 0x064e9e0d, "_gpl");
SYMBOL_CRC(ssh_packet_put, 0xc6c96fae, "_gpl");
SYMBOL_CRC(ssam_device_type, 0x47e332d5, "_gpl");
SYMBOL_CRC(ssam_device_alloc, 0xe2da498b, "_gpl");
SYMBOL_CRC(ssam_device_add, 0x12882ad5, "_gpl");
SYMBOL_CRC(ssam_device_remove, 0x6f7d429f, "_gpl");
SYMBOL_CRC(ssam_device_id_match, 0xc2bd582d, "_gpl");
SYMBOL_CRC(ssam_device_get_match, 0xf30aa9fb, "_gpl");
SYMBOL_CRC(ssam_device_get_match_data, 0x07a020da, "_gpl");
SYMBOL_CRC(__ssam_device_driver_register, 0xac8b41da, "_gpl");
SYMBOL_CRC(ssam_device_driver_unregister, 0xa74fe34a, "_gpl");
SYMBOL_CRC(__ssam_register_clients, 0x0dff076f, "_gpl");
SYMBOL_CRC(ssam_remove_clients, 0xcfef2e41, "_gpl");
SYMBOL_CRC(ssam_controller_device, 0x937e6b3e, "_gpl");
SYMBOL_CRC(ssam_controller_get, 0x77cf5767, "_gpl");
SYMBOL_CRC(ssam_controller_put, 0x482ee67b, "_gpl");
SYMBOL_CRC(ssam_controller_statelock, 0xc88758cc, "_gpl");
SYMBOL_CRC(ssam_controller_stateunlock, 0xc1adeba5, "_gpl");
SYMBOL_CRC(ssam_request_write_data, 0xe61ddac6, "_gpl");
SYMBOL_CRC(ssam_request_sync_alloc, 0x4b127e2c, "_gpl");
SYMBOL_CRC(ssam_request_sync_free, 0x00af0b87, "_gpl");
SYMBOL_CRC(ssam_request_sync_init, 0xf5ddab65, "_gpl");
SYMBOL_CRC(ssam_request_sync_submit, 0x4ef7698a, "_gpl");
SYMBOL_CRC(ssam_request_do_sync, 0x6c1b3f85, "_gpl");
SYMBOL_CRC(ssam_request_do_sync_with_buffer, 0x48a9a4ab, "_gpl");
SYMBOL_CRC(ssam_notifier_register, 0xf5b342e3, "_gpl");
SYMBOL_CRC(__ssam_notifier_unregister, 0x7c2934cf, "_gpl");
SYMBOL_CRC(ssam_controller_event_enable, 0x738bff70, "_gpl");
SYMBOL_CRC(ssam_controller_event_disable, 0x2801c931, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe783e261, "sysfs_emit" },
	{ 0xdbd8bf08, "wake_up_process" },
	{ 0xd8ec4d83, "trace_event_buffer_commit" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd16828e4, "put_device" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x9ed04eb1, "device_for_each_child_reverse" },
	{ 0x34434ae6, "_dev_info" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xe8faa3d7, "fwnode_get_name" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x8489dd66, "init_srcu_struct" },
	{ 0x9b0ffbf5, "perf_trace_run_bpf_submit" },
	{ 0xab4f09b7, "devm_acpi_dev_add_driver_gpios" },
	{ 0xb33b016a, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf58475c1, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x60778c62, "device_add" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2a9bf87, "__srcu_read_lock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x578f77d3, "kmem_cache_free" },
	{ 0x5a921311, "strncmp" },
	{ 0x48c11309, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xae731d70, "driver_unregister" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x396b0ba1, "cleanup_srcu_struct" },
	{ 0x529d7697, "sysfs_create_group" },
	{ 0xe25ed7b6, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x8941368a, "serdev_device_wait_until_sent" },
	{ 0xa1c55236, "__serdev_device_driver_register" },
	{ 0x168cdc38, "bpf_trace_run1" },
	{ 0x4bcdc1b6, "_dev_warn" },
	{ 0x42b842b7, "acpi_dev_clear_dependencies" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6f7e23, "kmem_cache_alloc_noprof" },
	{ 0xb16d4a7f, "fwnode_handle_get" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xf45bf88d, "__kmem_cache_create_args" },
	{ 0x76c28925, "serdev_device_write_buf" },
	{ 0x668b19a1, "down_read" },
	{ 0x62b39fa7, "kthread_create_on_node" },
	{ 0xe3c71295, "sysfs_remove_group" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x95133d39, "platform_device_register_full" },
	{ 0x3bd0d866, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x9215a6fd, "serdev_device_close" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc5173c41, "__srcu_read_unlock" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x8be2b3cc, "dev_err_probe" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x9a34a2b, "crc_itu_t" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd8626df1, "device_link_add" },
	{ 0xea2f27f8, "fwnode_irq_get" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xce5d572d, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9f4737d, "__dev_fwnode" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0x8b579f33, "bus_register" },
	{ 0x982f87e1, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2e0a637d, "acpi_walk_resources" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc2217f17, "gpiod_get" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x509b64ea, "acpi_has_method" },
	{ 0x43a47f02, "is_acpi_device_node" },
	{ 0xcdfc17a0, "gpiod_put" },
	{ 0x71b5b0dd, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x8465c10d, "serdev_device_set_baudrate" },
	{ 0xbcc15e75, "ktime_get_coarse_with_offset" },
	{ 0xfc5954f0, "dev_set_name" },
	{ 0xb0e602eb, "memmove" },
	{ 0x42641db, "gpiod_count" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19e7d3ef, "trace_raw_output_prep" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0xa6b3b584, "device_unregister" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x935df379, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x68cc569c, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xea312c8c, "serdev_acpi_get_uart_resource" },
	{ 0x8d49f831, "device_initialize" },
	{ 0x5d05bea1, "serdev_device_set_flow_control" },
	{ 0x3467017a, "trace_event_raw_init" },
	{ 0x8520efe, "gpiod_to_irq" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe2cc565f, "serdev_device_open" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xebc5c21a, "pcpu_hot" },
	{ 0x4e12307d, "fwnode_get_next_child_node" },
	{ 0x7cc4d6a7, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xae16ff9e, "synchronize_srcu" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x59eb0336, "__dynamic_dev_dbg" },
	{ 0x51e06619, "serdev_device_set_parity" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "crc-itu-t");

MODULE_ALIAS("acpi*:MSHW0084:*");

MODULE_INFO(srcversion, "8F52398202C36736FCD8942");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
