#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rndis_borrow_net, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_connect, "_gpl", "");
KSYMTAB_FUNC(rndis_signal_disconnect, "_gpl", "");
KSYMTAB_FUNC(rndis_uninit, "_gpl", "");
KSYMTAB_FUNC(rndis_set_host_mac, "_gpl", "");
KSYMTAB_FUNC(rndis_msg_parser, "_gpl", "");
KSYMTAB_FUNC(rndis_register, "_gpl", "");
KSYMTAB_FUNC(rndis_deregister, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_dev, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_vendor, "_gpl", "");
KSYMTAB_FUNC(rndis_set_param_medium, "_gpl", "");
KSYMTAB_FUNC(rndis_add_hdr, "_gpl", "");
KSYMTAB_FUNC(rndis_free_response, "_gpl", "");
KSYMTAB_FUNC(rndis_get_next_response, "_gpl", "");
KSYMTAB_FUNC(rndis_rm_hdr, "_gpl", "");

SYMBOL_CRC(rndis_borrow_net, 0x281e8779, "_gpl");
SYMBOL_CRC(rndis_signal_connect, 0x704072eb, "_gpl");
SYMBOL_CRC(rndis_signal_disconnect, 0xea79df62, "_gpl");
SYMBOL_CRC(rndis_uninit, 0x90755c84, "_gpl");
SYMBOL_CRC(rndis_set_host_mac, 0x8f0bb4dc, "_gpl");
SYMBOL_CRC(rndis_msg_parser, 0xc4fab067, "_gpl");
SYMBOL_CRC(rndis_register, 0xfa636a16, "_gpl");
SYMBOL_CRC(rndis_deregister, 0xc12060c8, "_gpl");
SYMBOL_CRC(rndis_set_param_dev, 0x29eab1d4, "_gpl");
SYMBOL_CRC(rndis_set_param_vendor, 0xfd2552a8, "_gpl");
SYMBOL_CRC(rndis_set_param_medium, 0x73786c6e, "_gpl");
SYMBOL_CRC(rndis_add_hdr, 0x4b04e9a1, "_gpl");
SYMBOL_CRC(rndis_free_response, 0x7920e211, "_gpl");
SYMBOL_CRC(rndis_get_next_response, 0xe1c9f4ca, "_gpl");
SYMBOL_CRC(rndis_rm_hdr, 0xdcce0253, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x39a9fc23, "gether_get_host_addr_u8" },
	{ 0x385cc1eb, "gether_set_qmult" },
	{ 0xd73d996a, "config_group_init_type_name" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1da62411, "gether_get_host_addr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2be75dbe, "skb_push" },
	{ 0x377d94d7, "gether_set_gadget" },
	{ 0xffb7c514, "ida_free" },
	{ 0x28e31a9e, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4b48d367, "usb_ep_autoconfig" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x4e6e8be0, "usb_put_function_instance" },
	{ 0x58144164, "netif_tx_wake_queue" },
	{ 0xfddae202, "gether_connect" },
	{ 0x9d7acc73, "gether_get_dev_addr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x38d275dc, "gether_set_host_addr" },
	{ 0xdac63842, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa82d744e, "usb_function_unregister" },
	{ 0x8878cfa6, "gether_cleanup" },
	{ 0xbda33f4, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0x1913f799, "gether_get_ifname" },
	{ 0xb0b9959a, "gether_set_ifname" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0xe6620458, "netif_carrier_off" },
	{ 0x6fc37f56, "netif_carrier_on" },
	{ 0xec7137d8, "gether_setup_name_default" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0x69f1a6ab, "gether_get_qmult" },
	{ 0x754d539c, "strlen" },
	{ 0x58fe8454, "dev_kfree_skb_any_reason" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x813f7cb2, "usb_free_all_descriptors" },
	{ 0xde6a0510, "usb_gstrings_attach" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x14e9b3c0, "dev_get_stats" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xcfdcb896, "usb_os_desc_prepare_interf_dir" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x32bcd07a, "consume_skb" },
	{ 0xe18303c8, "usb_interface_id" },
	{ 0x84669f00, "usb_assign_descriptors" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x48a955a6, "gether_disconnect" },
	{ 0x59eb0336, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x52588a29, "config_ep_by_speed" },
	{ 0xbf236002, "gether_set_dev_addr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5f255201, "gether_register_netdev" },
	{ 0xdac16657, "skb_queue_tail" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xf622796e, "usb_function_register" },
	{ 0xf58475c1, "_dev_err" },
	{ 0x37ef39c6, "skb_pull" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "u_ether,configfs,libcomposite");


MODULE_INFO(srcversion, "4FC2C0E068EB8031083783C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
