#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0xd4ad271d, "");
SYMBOL_CRC(wpan_phy_for_each, 0xfdc233d2, "");
SYMBOL_CRC(wpan_phy_new, 0xfd239727, "");
SYMBOL_CRC(wpan_phy_register, 0x0ab34bd0, "");
SYMBOL_CRC(wpan_phy_unregister, 0xc02216be, "");
SYMBOL_CRC(wpan_phy_free, 0xb2ad659d, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x36c06a6b, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0xe4c5a393, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0xab514917, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0xc3402111, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0x2eb6b17f, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0xd5ddd4c4, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x9282f01a, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0xf60fe9ca, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x98a8ea2c, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0xb3a10790, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0xbf27c8ac, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0xf7cea3d5, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0xce50e152, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x2e8e08ca, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x9df58eb1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2be75dbe, "skb_push" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x48c11309, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8b3cfade, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbb8fdce3, "unregister_pernet_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x168cdc38, "bpf_trace_run1" },
	{ 0xa3a429b4, "device_del" },
	{ 0x1e85c612, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd5af8124, "__pskb_pull_tail" },
	{ 0xdac63842, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x823bba4d, "bpf_trace_run3" },
	{ 0x99e36ad8, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbd4440fa, "get_net_ns_by_pid" },
	{ 0x3bd0d866, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x812c0e5c, "device_match_name" },
	{ 0x20079579, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd332d53c, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x43df70fc, "genl_register_family" },
	{ 0xc12b4716, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x214bb2c2, "register_pernet_device" },
	{ 0x597c5cf4, "get_net_ns_by_fd" },
	{ 0xe9d889fb, "class_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0xf9839892, "class_find_device" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc857055c, "bpf_trace_run4" },
	{ 0xaa6cce20, "skb_put" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xfc5954f0, "dev_set_name" },
	{ 0x72382b64, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x19e7d3ef, "trace_raw_output_prep" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0x935df379, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x68cc569c, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8d49f831, "device_initialize" },
	{ 0x95d39986, "genlmsg_put" },
	{ 0x3467017a, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xebc5c21a, "pcpu_hot" },
	{ 0x7cc4d6a7, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x293bd0d9, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xc8d2bc, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd0824d0f, "device_rename" },
	{ 0xd8ec4d83, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd16828e4, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xb29f5580, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xee169241, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xd1ef3722, "__dev_get_by_index" },
	{ 0x9b0ffbf5, "perf_trace_run_bpf_submit" },
	{ 0x8ac87f26, "init_net" },
	{ 0x37ef39c6, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x60778c62, "device_add" },
	{ 0x203a08a1, "sk_skb_reason_drop" },
	{ 0xaf372841, "netlink_unicast" },
	{ 0xc24bd502, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FF08143A50B94DEF50541BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
