#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nfc_fw_download_done, "", "");
KSYMTAB_FUNC(nfc_dep_link_is_up, "", "");
KSYMTAB_FUNC(nfc_find_se, "", "");
KSYMTAB_FUNC(nfc_set_remote_general_bytes, "", "");
KSYMTAB_FUNC(nfc_get_local_general_bytes, "", "");
KSYMTAB_FUNC(nfc_tm_data_received, "", "");
KSYMTAB_FUNC(nfc_tm_activated, "", "");
KSYMTAB_FUNC(nfc_tm_deactivated, "", "");
KSYMTAB_FUNC(nfc_alloc_recv_skb, "", "");
KSYMTAB_FUNC(nfc_targets_found, "", "");
KSYMTAB_FUNC(nfc_target_lost, "", "");
KSYMTAB_FUNC(nfc_driver_failure, "", "");
KSYMTAB_FUNC(nfc_add_se, "", "");
KSYMTAB_FUNC(nfc_remove_se, "", "");
KSYMTAB_FUNC(nfc_se_transaction, "", "");
KSYMTAB_FUNC(nfc_se_connectivity, "", "");
KSYMTAB_DATA(nfc_class, "", "");
KSYMTAB_FUNC(nfc_allocate_device, "", "");
KSYMTAB_FUNC(nfc_register_device, "", "");
KSYMTAB_FUNC(nfc_unregister_device, "", "");
KSYMTAB_FUNC(__nfc_alloc_vendor_cmd_reply_skb, "", "");
KSYMTAB_FUNC(nfc_vendor_cmd_reply, "", "");
KSYMTAB_FUNC(nfc_proto_register, "", "");
KSYMTAB_FUNC(nfc_proto_unregister, "", "");
KSYMTAB_FUNC(nfc_send_to_raw_sock, "", "");

SYMBOL_CRC(nfc_fw_download_done, 0xb4300a26, "");
SYMBOL_CRC(nfc_dep_link_is_up, 0x35e02ffd, "");
SYMBOL_CRC(nfc_find_se, 0x9e3791e3, "");
SYMBOL_CRC(nfc_set_remote_general_bytes, 0x70c46ca1, "");
SYMBOL_CRC(nfc_get_local_general_bytes, 0x913864d0, "");
SYMBOL_CRC(nfc_tm_data_received, 0x9aee6b9e, "");
SYMBOL_CRC(nfc_tm_activated, 0xd68bd26b, "");
SYMBOL_CRC(nfc_tm_deactivated, 0xa93724c6, "");
SYMBOL_CRC(nfc_alloc_recv_skb, 0x0939d96d, "");
SYMBOL_CRC(nfc_targets_found, 0xf4b6233d, "");
SYMBOL_CRC(nfc_target_lost, 0xd7425051, "");
SYMBOL_CRC(nfc_driver_failure, 0xd78df7cb, "");
SYMBOL_CRC(nfc_add_se, 0x570edbb1, "");
SYMBOL_CRC(nfc_remove_se, 0xeec29c0c, "");
SYMBOL_CRC(nfc_se_transaction, 0xfcff1738, "");
SYMBOL_CRC(nfc_se_connectivity, 0x3e7b4196, "");
SYMBOL_CRC(nfc_class, 0xf9457556, "");
SYMBOL_CRC(nfc_allocate_device, 0x38de1d03, "");
SYMBOL_CRC(nfc_register_device, 0x8026fec9, "");
SYMBOL_CRC(nfc_unregister_device, 0x58571e27, "");
SYMBOL_CRC(__nfc_alloc_vendor_cmd_reply_skb, 0xd0cd5e70, "");
SYMBOL_CRC(nfc_vendor_cmd_reply, 0xc04b453d, "");
SYMBOL_CRC(nfc_proto_register, 0x110a8c40, "");
SYMBOL_CRC(nfc_proto_unregister, 0xc6575d4b, "");
SYMBOL_CRC(nfc_send_to_raw_sock, 0x21047ed8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc94fd9b5, "sock_register" },
	{ 0x77a6c968, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xd16828e4, "put_device" },
	{ 0xb29f5580, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc610012a, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1207d468, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xdac16657, "skb_queue_tail" },
	{ 0xfd6f2443, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x40e29eb7, "__sock_recv_timestamp" },
	{ 0x8d9cbce5, "sock_no_shutdown" },
	{ 0xde55467f, "devm_kfree" },
	{ 0x8ac87f26, "init_net" },
	{ 0x37ef39c6, "skb_pull" },
	{ 0x60778c62, "device_add" },
	{ 0x203a08a1, "sk_skb_reason_drop" },
	{ 0xaf372841, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xcc520d2a, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x71253452, "sock_no_accept" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2be75dbe, "skb_push" },
	{ 0xc7aead6e, "sock_no_listen" },
	{ 0x5a921311, "strncmp" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8b3cfade, "class_unregister" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xaabbdcd8, "ns_capable" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x92deb4f0, "lock_sock_nested" },
	{ 0x21d86557, "sock_no_bind" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x20945897, "skb_copy_datagram_iter" },
	{ 0xac122ff0, "rfkill_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa2cebd6a, "class_dev_iter_init" },
	{ 0xa7c74fe8, "sk_alloc" },
	{ 0xa3a429b4, "device_del" },
	{ 0x98388716, "__sock_recv_wifi_status" },
	{ 0xdbaa9d75, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6edc17fd, "sock_no_mmap" },
	{ 0xdac63842, "skb_trim" },
	{ 0xa671cec0, "skb_unlink" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xff282521, "rfkill_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0xf52d0a09, "skb_recv_datagram" },
	{ 0x368f890d, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0xae5ebea9, "sock_no_getname" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5c86b8a, "skb_copy" },
	{ 0xad223e60, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7f58b5cd, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x8936ce0e, "sock_no_ioctl" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xd332d53c, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7df9bbf3, "iov_iter_revert" },
	{ 0x43df70fc, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe9d889fb, "class_register" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xddd63233, "sock_init_data" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0x384bd4b3, "release_sock" },
	{ 0x3679d42d, "skb_queue_head" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf9839892, "class_find_device" },
	{ 0x5d22f409, "security_sock_graft" },
	{ 0x847e1301, "skb_free_datagram" },
	{ 0xeec51c2c, "sock_queue_rcv_skb_reason" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8a78c8a7, "class_dev_iter_next" },
	{ 0x6a9ccada, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x83eb21c, "rfkill_unregister" },
	{ 0xaa6cce20, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfc5954f0, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xfafda9c5, "skb_dequeue" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc0763484, "rfkill_blocked" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x8d49f831, "device_initialize" },
	{ 0xfebd7b75, "sock_no_sendmsg" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x95d39986, "genlmsg_put" },
	{ 0x69acdf38, "memcpy" },
	{ 0xdb68bbad, "rfkill_destroy" },
	{ 0x37a0cba, "kfree" },
	{ 0xebc5c21a, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x54f961e8, "sock_no_connect" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x9ea2fd7f, "__pskb_copy_fclone" },
	{ 0xc8d2bc, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7d02f2b1, "sk_error_report" },
	{ 0x4d4c106d, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2c4bdefc, "class_dev_iter_exit" },
	{ 0x92997ed8, "_printk" },
	{ 0x19c39eed, "proto_unregister" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "rfkill");


MODULE_INFO(srcversion, "EB67B394E5E36DFE5372C7C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
