#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(btmtk_fw_get_filename, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware_79xx, "_gpl", "");
KSYMTAB_FUNC(btmtk_setup_firmware, "_gpl", "");
KSYMTAB_FUNC(btmtk_set_bdaddr, "_gpl", "");
KSYMTAB_FUNC(btmtk_reset_sync, "_gpl", "");
KSYMTAB_FUNC(btmtk_register_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_process_coredump, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_subsys_reset, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_recv_acl, "_gpl", "");
KSYMTAB_FUNC(alloc_mtk_intr_urb, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_resume, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_suspend, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_setup, "_gpl", "");
KSYMTAB_FUNC(btmtk_usb_shutdown, "_gpl", "");

SYMBOL_CRC(btmtk_fw_get_filename, 0xbc8bf0c0, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware_79xx, 0x3fb5a8bd, "_gpl");
SYMBOL_CRC(btmtk_setup_firmware, 0x7e603053, "_gpl");
SYMBOL_CRC(btmtk_set_bdaddr, 0x67784b12, "_gpl");
SYMBOL_CRC(btmtk_reset_sync, 0x8f83ed81, "_gpl");
SYMBOL_CRC(btmtk_register_coredump, 0x52fd1075, "_gpl");
SYMBOL_CRC(btmtk_process_coredump, 0xc73b9105, "_gpl");
SYMBOL_CRC(btmtk_usb_subsys_reset, 0x61a663b0, "_gpl");
SYMBOL_CRC(btmtk_usb_recv_acl, 0x07cef227, "_gpl");
SYMBOL_CRC(alloc_mtk_intr_urb, 0x747b9fd4, "_gpl");
SYMBOL_CRC(btmtk_usb_resume, 0x8a492ce6, "_gpl");
SYMBOL_CRC(btmtk_usb_suspend, 0x017db263, "_gpl");
SYMBOL_CRC(btmtk_usb_setup, 0xc5a471b4, "_gpl");
SYMBOL_CRC(btmtk_usb_shutdown, 0x88b8f550, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb55a78fb, "request_firmware" },
	{ 0x718b8b7, "bt_info" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7b8c32f1, "bt_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1d3bca8, "__hci_cmd_sync" },
	{ 0x203a08a1, "sk_skb_reason_drop" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1a5b7fe6, "hci_cmd_sync_queue" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe0e2beb, "hci_devcd_register" },
	{ 0xa2ea4ebb, "__hci_cmd_send" },
	{ 0x5544885b, "usb_alloc_urb" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb41aced, "usb_anchor_urb" },
	{ 0xb8d94345, "usb_submit_urb" },
	{ 0xdc094bc0, "usb_free_urb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xfe49c5a5, "usb_unanchor_urb" },
	{ 0x962c8ae1, "usb_kill_anchored_urbs" },
	{ 0x69acdf38, "memcpy" },
	{ 0xee1deb61, "usb_autopm_get_interface" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0xc294161d, "usb_autopm_put_interface" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x37a0cba, "kfree" },
	{ 0x29dd4a3c, "bit_wait_timeout" },
	{ 0xcec4fb63, "out_of_line_wait_on_bit_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x3daaef16, "hci_devcd_append" },
	{ 0xc5dcd639, "hci_devcd_complete" },
	{ 0x63c97507, "hci_devcd_init" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xeeb6ec5e, "usb_disable_autosuspend" },
	{ 0xad223e60, "skb_clone" },
	{ 0xb7822aee, "hci_recv_diag" },
	{ 0xe2f6817d, "hci_recv_frame" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb29f5580, "__alloc_skb" },
	{ 0xaa6cce20, "skb_put" },
	{ 0xb93ba240, "wake_up_bit" },
	{ 0x820a5a5e, "__skb_pad" },
	{ 0x7f4d14ea, "usb_control_msg" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x228c504d, "usb_set_interface" },
	{ 0x2dcd57c1, "hci_cmd_sync_cancel" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "bluetooth,usbcore");


MODULE_INFO(srcversion, "18AEEA470BA8CE7E5CC61C9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
