#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pmbus_clear_cache, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_update, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_set_page, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_fan, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_word_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_read_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_write_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_update_byte_data, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_device, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_fan_rate_cached, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_clear_faults, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_byte_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_check_word_register, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_driver_info, "_gpl", "PMBUS");
KSYMTAB_DATA(pmbus_regulator_ops, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_do_probe, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_get_debugfs_dir, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_lock_interruptible, "_gpl", "PMBUS");
KSYMTAB_FUNC(pmbus_unlock, "_gpl", "PMBUS");

SYMBOL_CRC(pmbus_clear_cache, 0x36586cac, "_gpl");
SYMBOL_CRC(pmbus_set_update, 0x4e4166fe, "_gpl");
SYMBOL_CRC(pmbus_set_page, 0x42f4aa68, "_gpl");
SYMBOL_CRC(pmbus_write_byte, 0xdfec8f24, "_gpl");
SYMBOL_CRC(pmbus_write_word_data, 0x0999c676, "_gpl");
SYMBOL_CRC(pmbus_update_fan, 0xbe545dd7, "_gpl");
SYMBOL_CRC(pmbus_read_word_data, 0x1e6d011d, "_gpl");
SYMBOL_CRC(pmbus_read_byte_data, 0x1e24602b, "_gpl");
SYMBOL_CRC(pmbus_write_byte_data, 0x41562291, "_gpl");
SYMBOL_CRC(pmbus_update_byte_data, 0x81f3ff6f, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_device, 0xdd849a51, "_gpl");
SYMBOL_CRC(pmbus_get_fan_rate_cached, 0xc0176b27, "_gpl");
SYMBOL_CRC(pmbus_clear_faults, 0xf043c6f0, "_gpl");
SYMBOL_CRC(pmbus_check_byte_register, 0x4cf11026, "_gpl");
SYMBOL_CRC(pmbus_check_word_register, 0xe3f6ce41, "_gpl");
SYMBOL_CRC(pmbus_get_driver_info, 0x4b99da1d, "_gpl");
SYMBOL_CRC(pmbus_regulator_ops, 0xe564518d, "_gpl");
SYMBOL_CRC(pmbus_do_probe, 0x72b827b1, "_gpl");
SYMBOL_CRC(pmbus_get_debugfs_dir, 0x5eab17eb, "_gpl");
SYMBOL_CRC(pmbus_lock_interruptible, 0x3f1e39a3, "_gpl");
SYMBOL_CRC(pmbus_unlock, 0x65563d24, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x33653e11, "i2c_smbus_read_block_data" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x96c26e67, "sysfs_notify" },
	{ 0xece3def7, "kobject_uevent" },
	{ 0x59eb0336, "__dynamic_dev_dbg" },
	{ 0xcbd9bcc8, "rdev_get_dev" },
	{ 0x62344f8b, "rdev_get_id" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7c01faeb, "regulator_notifier_call_chain" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x9166fada, "strncpy" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xdcbf8566, "i2c_smbus_xfer" },
	{ 0xf58475c1, "_dev_err" },
	{ 0xe4487c19, "device_create_file" },
	{ 0x5281b9b, "__devm_add_action" },
	{ 0xfb7736ad, "devm_kstrdup" },
	{ 0x7410aba2, "strreplace" },
	{ 0x69acdf38, "memcpy" },
	{ 0x58e39fe1, "devm_hwmon_device_register_with_groups" },
	{ 0xf7d0c62c, "devm_regulator_register" },
	{ 0x8be2b3cc, "dev_err_probe" },
	{ 0x834828cb, "devm_request_threaded_irq" },
	{ 0x96848186, "scnprintf" },
	{ 0x580c1902, "debugfs_create_file_full" },
	{ 0x4bcdc1b6, "_dev_warn" },
	{ 0x1d6a0ee8, "noop_llseek" },
	{ 0x3561eee8, "simple_open" },
	{ 0x9492542, "debugfs_attr_read" },
	{ 0x94b31a8d, "debugfs_attr_write" },
	{ 0x4763623c, "simple_attr_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe266789f, "device_remove_file" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x64105e41, "devm_krealloc" },
	{ 0xeacb788d, "devm_kmalloc" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x56470118, "__warn_printk" },
	{ 0x11a4c250, "debugfs_create_dir" },
	{ 0xca9423af, "debugfs_remove" },
	{ 0x46210387, "simple_attr_open" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf05f3c85, "i2c_smbus_write_byte_data" },
	{ 0x3d1c8cc8, "i2c_smbus_read_byte_data" },
	{ 0x61017158, "i2c_smbus_write_byte" },
	{ 0x8912c7ed, "i2c_smbus_write_word_data" },
	{ 0xcc514534, "i2c_smbus_read_word_data" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1817774AEFD997A229B9D5A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
