#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp085_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0xb8cd336f, "");
SYMBOL_CRC(bme280_chip_info, 0xcf2812ab, "");
SYMBOL_CRC(bmp380_chip_info, 0x25c2d219, "");
SYMBOL_CRC(bmp580_chip_info, 0xdd0099af, "");
SYMBOL_CRC(bmp180_chip_info, 0xc4ac16b4, "");
SYMBOL_CRC(bmp085_chip_info, 0xc10080d2, "");
SYMBOL_CRC(bmp280_common_probe, 0x445bfeb3, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0x21babd4b, "");
SYMBOL_CRC(bmp180_regmap_config, 0x6b6ea3ae, "");
SYMBOL_CRC(bmp280_regmap_config, 0x81e87ecc, "");
SYMBOL_CRC(bme280_regmap_config, 0xac20c87c, "");
SYMBOL_CRC(bmp380_regmap_config, 0x6ebac82d, "");
SYMBOL_CRC(bmp580_regmap_config, 0x60c674a8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xea2f27f8, "fwnode_irq_get" },
	{ 0x1940c4d8, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x9f4737d, "__dev_fwnode" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x4cc72e26, "regmap_write" },
	{ 0x834828cb, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x127e96bc, "gpiod_set_value" },
	{ 0xb17ebb52, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1dd4b0e9, "devm_iio_triggered_buffer_setup_ext" },
	{ 0xa6257a2f, "complete" },
	{ 0xf6d1bb82, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x89b0496b, "iio_push_to_buffers" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xbd05398f, "devm_gpiod_get_optional" },
	{ 0x3302695, "__module_get" },
	{ 0x293bd0d9, "get_device" },
	{ 0x4b60f875, "iio_device_id" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x375014c3, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xea41004b, "pm_runtime_enable" },
	{ 0x946a2d8b, "regulator_bulk_disable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x34434ae6, "_dev_info" },
	{ 0xf58475c1, "_dev_err" },
	{ 0x1101b7ae, "irq_get_irq_data" },
	{ 0x55bf172b, "iio_trigger_poll_nested" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x3c89b413, "__devm_iio_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x94c958f6, "devm_iio_device_alloc" },
	{ 0x4bcdc1b6, "_dev_warn" },
	{ 0xa81dd034, "regulator_bulk_set_supply_names" },
	{ 0x6be00034, "devm_iio_trigger_register" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4b4c4d17, "regulator_bulk_enable" },
	{ 0x4ee77489, "devm_regulator_bulk_get" },
	{ 0x7c938261, "iio_get_time_ns" },
	{ 0xf10d4323, "fwnode_property_present" },
	{ 0xe9ce13b9, "regmap_read" },
	{ 0xdc3ae451, "regmap_bulk_write" },
	{ 0x2f490a3f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x961d4a13, "regmap_bulk_read" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd88a2210, "regmap_update_bits_base" },
	{ 0x8be2b3cc, "dev_err_probe" },
	{ 0xd834c5a4, "iio_trigger_notify_done" },
	{ 0x6baf9738, "__pm_runtime_suspend" },
	{ 0x5281b9b, "__devm_add_action" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xfee9b4bf, "__pm_runtime_use_autosuspend" },
	{ 0x2b3759bf, "__pm_runtime_disable" },
	{ 0x2dfb054a, "__devm_iio_trigger_alloc" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "industrialio-triggered-buffer,industrialio");


MODULE_INFO(srcversion, "A4B62FB367F080DF07184F6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
