#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cx8802_start_dma, "", "");
KSYMTAB_FUNC(cx8802_buf_prepare, "", "");
KSYMTAB_FUNC(cx8802_buf_queue, "", "");
KSYMTAB_FUNC(cx8802_cancel_buffers, "", "");
KSYMTAB_FUNC(cx8802_get_driver, "", "");
KSYMTAB_FUNC(cx8802_register_driver, "", "");
KSYMTAB_FUNC(cx8802_unregister_driver, "", "");

SYMBOL_CRC(cx8802_start_dma, 0x42fb08ff, "");
SYMBOL_CRC(cx8802_buf_prepare, 0x13e45efb, "");
SYMBOL_CRC(cx8802_buf_queue, 0x493eafa0, "");
SYMBOL_CRC(cx8802_cancel_buffers, 0x75cd8e06, "");
SYMBOL_CRC(cx8802_get_driver, 0x9b8b9edf, "");
SYMBOL_CRC(cx8802_register_driver, 0x7db12784, "");
SYMBOL_CRC(cx8802_unregister_driver, 0x512af411, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xbebcc1c, "cx88_core_put" },
	{ 0x24104335, "pci_set_power_state" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd9de026a, "cx88_core_irq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x72f626b7, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x55b48b38, "cx88_core_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x19db052f, "vb2_plane_cookie" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x14bb2203, "vb2_buffer_done" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd8f7795c, "pci_restore_state" },
	{ 0xdc5a2603, "pci_set_master" },
	{ 0x8d88137a, "cx88_sram_channels" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x100a5cae, "cx88_sram_channel_dump" },
	{ 0xf83d749e, "cx88_sram_channel_setup" },
	{ 0xec356484, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0x134a5fe5, "pci_disable_device" },
	{ 0x6fbc4e01, "dma_set_mask" },
	{ 0xedc12a43, "pci_read_config_byte" },
	{ 0x7a331529, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0x90e8223c, "cx88_risc_databuffer" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x7712d8b1, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x614c1db7, "cx88_reset" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x1bf71d0, "cx88_wakeup" },
	{ 0xd08b6c00, "pci_enable_device" },
	{ 0x40e0d518, "pci_choose_state" },
	{ 0x5edb7ae5, "cx88_print_irqbits" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8eaabeed, "__pci_register_driver" },
	{ 0xf2335ce, "cx88_shutdown" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "cx88xx,videobuf2-common");

MODULE_ALIAS("pci:v000014F1d00008802sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "861561822E9B4A4BD78BC2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
