#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(gspca_debug, "", "");
KSYMTAB_FUNC(gspca_frame_add, "", "");
KSYMTAB_FUNC(gspca_dev_probe2, "", "");
KSYMTAB_FUNC(gspca_dev_probe, "", "");
KSYMTAB_FUNC(gspca_disconnect, "", "");
KSYMTAB_FUNC(gspca_suspend, "", "");
KSYMTAB_FUNC(gspca_resume, "", "");
KSYMTAB_FUNC(gspca_expo_autogain, "", "");
KSYMTAB_FUNC(gspca_coarse_grained_expo_autogain, "", "");

SYMBOL_CRC(gspca_debug, 0x9670af2c, "");
SYMBOL_CRC(gspca_frame_add, 0x80c43664, "");
SYMBOL_CRC(gspca_dev_probe2, 0xd7216104, "");
SYMBOL_CRC(gspca_dev_probe, 0xb1de0dab, "");
SYMBOL_CRC(gspca_disconnect, 0x3b219ef9, "");
SYMBOL_CRC(gspca_suspend, 0x74d9231f, "");
SYMBOL_CRC(gspca_resume, 0x1bf2b5e5, "");
SYMBOL_CRC(gspca_expo_autogain, 0xb5868a9e, "");
SYMBOL_CRC(gspca_coarse_grained_expo_autogain, 0x4d0054d9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb8d94345, "usb_submit_urb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xae3c22f4, "__v4l2_ctrl_s_ctrl" },
	{ 0x7d48979b, "vb2_ioctl_dqbuf" },
	{ 0x78cee118, "usb_free_coherent" },
	{ 0x79ba5e78, "vb2_ioctl_create_bufs" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x14bb2203, "vb2_buffer_done" },
	{ 0xd9dd8239, "vb2_plane_vaddr" },
	{ 0xff8e4394, "v4l2_ctrl_subscribe_event" },
	{ 0x228c504d, "usb_set_interface" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2cba86fd, "video_unregister_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a9f6954, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe08c5bb6, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4a1f89c4, "vb2_vmalloc_memops" },
	{ 0x84b2f2e3, "v4l2_device_disconnect" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa2ed4ee2, "vb2_fop_read" },
	{ 0x8c2b0514, "v4l2_device_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7318ed2a, "__video_register_device" },
	{ 0x204e00aa, "usb_kill_urb" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x81978fe6, "vb2_ioctl_streamon" },
	{ 0x11a9bde2, "vb2_fop_poll" },
	{ 0x90b089fe, "v4l2_ctrl_g_ctrl" },
	{ 0xdee86760, "v4l2_ctrl_handler_free" },
	{ 0x7188ecc4, "v4l2_device_unregister" },
	{ 0x7a331529, "param_ops_int" },
	{ 0x6191c89b, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc7e13f57, "v4l2_event_unsubscribe" },
	{ 0x757d7c9d, "vb2_ioctl_reqbufs" },
	{ 0xf931c9d5, "vb2_queue_init" },
	{ 0x9526596a, "input_allocate_device" },
	{ 0x5544885b, "usb_alloc_urb" },
	{ 0x1b19666a, "video_ioctl2" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xdc094bc0, "usb_free_urb" },
	{ 0xc47c3320, "v4l2_device_put" },
	{ 0x61245a94, "vb2_ioctl_streamoff" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x3b03f32c, "usb_alloc_coherent" },
	{ 0xe332e60a, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6ea62e24, "usb_ifnum_to_if" },
	{ 0xd104a077, "input_unregister_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x2adcc2dd, "vb2_ioctl_querybuf" },
	{ 0xd4807496, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x960eaa5a, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xfd0d7cf0, "usb_clear_halt" },
	{ 0x3f7513d6, "v4l2_ctrl_handler_setup" },
	{ 0xee21685c, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x72231367, "video_devdata" },
	{ 0xbd39743b, "vb2_queue_error" },
	{ 0xd3f31111, "vb2_fop_release" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-v4l2,videobuf2-common,videobuf2-vmalloc");


MODULE_INFO(srcversion, "DEE20B11ED5723876F1CB2B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
