#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0xe0556db8, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xfb70e2ad, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x88eae261, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0x2f477242, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xe6d5f6ce, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x95909872, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x25e941dd, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x75508f27, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x6bf255e9, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0xc71c69fa, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x5c812114, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xebd29029, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xa9ef7954, "_gpl");
SYMBOL_CRC(usbnet_open, 0xdf11edc9, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xef394b57, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x869074da, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x8c82ca10, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xcc79d3bf, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x80cae59e, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xceefba90, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xf15a67fe, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xf872b417, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0xcfbc7982, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xe5530381, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x8e4694c8, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0xee84e7ed, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x6f30f73f, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xf5de66fa, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xb37b9a5a, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x78073fbf, "");
SYMBOL_CRC(usbnet_manage_power, 0x52c37732, "");
SYMBOL_CRC(usbnet_link_change, 0x9dc34d36, "");
SYMBOL_CRC(usbnet_read_cmd, 0xf7572602, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x3f752abb, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x67006eee, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0xea41bb9c, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x548aee20, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x228c504d, "usb_set_interface" },
	{ 0xcb77668f, "usb_string" },
	{ 0x59eb0336, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x9a57e415, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x8f96df64, "netif_rx" },
	{ 0x8b7fc79, "eth_type_trans" },
	{ 0xdac16657, "skb_queue_tail" },
	{ 0x8e9f4df4, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x4d4c106d, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x656c646b, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa45a9b1b, "usb_unlink_urb" },
	{ 0xdc094bc0, "usb_free_urb" },
	{ 0xc610012a, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb8d94345, "usb_submit_urb" },
	{ 0xf5ef1929, "netdev_err" },
	{ 0xebb03288, "mii_ethtool_get_link_ksettings" },
	{ 0x988ed003, "mii_ethtool_set_link_ksettings" },
	{ 0x14e45df, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x1be9e9a3, "unregister_netdev" },
	{ 0x32bcd07a, "consume_skb" },
	{ 0x59d6b449, "usb_get_from_anchor" },
	{ 0x204e00aa, "usb_kill_urb" },
	{ 0x28e31a9e, "free_netdev" },
	{ 0x530f75a7, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xde05ce5a, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb66b76fb, "netif_device_attach" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x7f4d14ea, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xee1deb61, "usb_autopm_get_interface" },
	{ 0xc294161d, "usb_autopm_put_interface" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x5544885b, "usb_alloc_urb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0x19273056, "mii_link_ok" },
	{ 0x2ffad106, "ethtool_op_get_link" },
	{ 0x637c3519, "usb_autopm_put_interface_async" },
	{ 0x6fc37f56, "netif_carrier_on" },
	{ 0xe6620458, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xfafda9c5, "skb_dequeue" },
	{ 0x9dbee998, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x72998e6a, "register_netdev" },
	{ 0xea41004b, "pm_runtime_enable" },
	{ 0x42578337, "usb_check_bulk_endpoints" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe3e2a7a, "usb_autopm_get_interface_async" },
	{ 0x7b595bd, "skb_tstamp_tx" },
	{ 0x58fe8454, "dev_kfree_skb_any_reason" },
	{ 0xb41aced, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4a6fb2e9, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0x58144164, "netif_tx_wake_queue" },
	{ 0xefbffff5, "usb_autopm_get_interface_no_resume" },
	{ 0xaa6cce20, "skb_put" },
	{ 0xfd0d7cf0, "usb_clear_halt" },
	{ 0xb1e721b4, "eth_mac_addr" },
	{ 0x48fed8f2, "eth_validate_addr" },
	{ 0x2524303c, "ethtool_op_get_ts_info" },
	{ 0x7a331529, "param_ops_int" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "DFB1B1170CF0A5915C4CD78");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
