#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(rtw_pm_ops, "", "");
KSYMTAB_FUNC(rtw_pci_probe, "", "");
KSYMTAB_FUNC(rtw_pci_remove, "", "");
KSYMTAB_FUNC(rtw_pci_shutdown, "", "");

SYMBOL_CRC(rtw_pm_ops, 0xe798b5fc, "");
SYMBOL_CRC(rtw_pci_probe, 0x6760ab98, "");
SYMBOL_CRC(rtw_pci_remove, 0x8187434a, "");
SYMBOL_CRC(rtw_pci_shutdown, 0x7b019f08, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x38c39fa9, "rtw_fw_c2h_cmd_isr" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x3685b3eb, "__dma_sync_single_for_cpu" },
	{ 0xc4a56571, "rtw_unregister_hw" },
	{ 0xf58475c1, "_dev_err" },
	{ 0x37ef39c6, "skb_pull" },
	{ 0x787d3112, "rtw_tx_fill_tx_desc" },
	{ 0x2be75dbe, "skb_push" },
	{ 0xa24fb752, "dma_alloc_attrs" },
	{ 0xae12ce87, "napi_enable" },
	{ 0xeaa4e5db, "rtw_core_init" },
	{ 0x28e31a9e, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x2b738277, "ieee80211_alloc_hw_nm" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xfff29ad8, "pci_iounmap" },
	{ 0x34c27080, "rtw_update_rx_freq_from_ie" },
	{ 0x695e9141, "rtw_tx_write_data_rsvd_page_get" },
	{ 0xfb578fc5, "memset" },
	{ 0x4bcdc1b6, "_dev_warn" },
	{ 0xdc5a2603, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x39ba694a, "ieee80211_stop_queue" },
	{ 0x4a6fb2e9, "__netdev_alloc_skb" },
	{ 0xb59f42a3, "rtw_rx_stats" },
	{ 0xd86b3f3c, "pcie_capability_clear_and_set_word_unlocked" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe27e17a4, "rtw_register_hw" },
	{ 0xe7eaea2, "alloc_netdev_dummy" },
	{ 0xec356484, "dma_free_attrs" },
	{ 0x28777ed0, "param_ops_bool" },
	{ 0xa9ee7b9d, "pci_release_regions" },
	{ 0xdcff3c38, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x77145cf9, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xef9c9b5d, "rtw_core_deinit" },
	{ 0x89063b49, "rtw_ops" },
	{ 0x134a5fe5, "pci_disable_device" },
	{ 0xdca8230e, "napi_schedule_prep" },
	{ 0xab9b3797, "napi_disable" },
	{ 0x58fe8454, "dev_kfree_skb_any_reason" },
	{ 0x3f973c4, "rtw_power_mode_change" },
	{ 0x6120c678, "rtw_tx_write_data_h2c_get" },
	{ 0xc63240d, "pci_free_irq_vectors" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf196941, "rtw_fw_c2h_cmd_rx_irqsafe" },
	{ 0xbdc257e1, "rtw_rx_query_rx_desc" },
	{ 0x42c47dc5, "ieee80211_rx_napi" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x5992cb90, "rtw_tx_report_enqueue" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xb3a5918, "rtw_tx_queue_mapping" },
	{ 0x7c739579, "pcie_capability_read_word" },
	{ 0x834828cb, "devm_request_threaded_irq" },
	{ 0xd08b6c00, "pci_enable_device" },
	{ 0xaa6cce20, "skb_put" },
	{ 0x32bcd07a, "consume_skb" },
	{ 0x9314f2e9, "pci_iomap" },
	{ 0x86384954, "pci_alloc_irq_vectors" },
	{ 0xe8576775, "netif_napi_add_weight" },
	{ 0xfafda9c5, "skb_dequeue" },
	{ 0xe855bc07, "ieee80211_free_hw" },
	{ 0x5e45b57d, "dma_unmap_page_attrs" },
	{ 0x8c09f9a5, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1dc2d072, "rtw_tx_ac_to_hwq" },
	{ 0xb7dac38e, "dev_kfree_skb_irq_reason" },
	{ 0x24104335, "pci_set_power_state" },
	{ 0x8773634c, "__netif_napi_del" },
	{ 0xca39b9a9, "ieee80211_wake_queue" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd3d1015b, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x93f1302a, "dma_map_page_attrs" },
	{ 0x95ea1a1c, "napi_complete_done" },
	{ 0x80025a26, "ieee80211_tx_status_irqsafe" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x52aca4e0, "devm_free_irq" },
	{ 0x6c327979, "__napi_schedule" },
	{ 0xdac16657, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xe7cadbaf, "rtw_chip_info_setup" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "rtw88_core,mac80211");


MODULE_INFO(srcversion, "CD6F1815BD37EEBEF6A8A00");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
