#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0xb0292bac, "_gpl");
SYMBOL_CRC(rio_query_mport, 0x7b71bdba, "");
SYMBOL_CRC(rio_alloc_net, 0x7b205de7, "_gpl");
SYMBOL_CRC(rio_add_net, 0x0c8050db, "_gpl");
SYMBOL_CRC(rio_free_net, 0x6c38f339, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x01e71683, "_gpl");
SYMBOL_CRC(rio_add_device, 0xfa01e2f1, "_gpl");
SYMBOL_CRC(rio_del_device, 0x71a340e8, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0xd77915df, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0x3986b781, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x4437b6dd, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0xf160e140, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0xecdd92de, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0x66424951, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0xf84a2b30, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0xf0808066, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x4cba5aca, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x6f9168db, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0x7eed35eb, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x460d230c, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0xde5792d0, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x9fadcf91, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0xc769c0af, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0xd7f1cb7e, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x225646a8, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0x3f5e2e41, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x41ac1f19, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x3087858c, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0xb9922a9c, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x39fe7c5b, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x20632bfa, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0x4712ae72, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0xf1122a22, "_gpl");
SYMBOL_CRC(rio_lock_device, 0x1c5af8ff, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x3d6d6177, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0xdf7ace51, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x043d17cd, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0x570a4a00, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x0727df8c, "_gpl");
SYMBOL_CRC(rio_request_dma, 0x97e55d3b, "_gpl");
SYMBOL_CRC(rio_release_dma, 0x6772f36b, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0xf4bd1789, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0x24d9fd92, "_gpl");
SYMBOL_CRC(rio_register_scan, 0x2958c33c, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0x06f90e47, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x37561cdc, "_gpl");
SYMBOL_CRC(rio_register_mport, 0xbe67311b, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0x0c2e7653, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0xa823fec7, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0x353d4b81, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x78aee97c, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0x6bc7ebdb, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x749c6f4b, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x03cdba7f, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0xd2bf9d6c, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0xe63863ac, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x3290259f, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x834c908a, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0x6055bcad, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0x7a1c89b5, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x6a81dee7, "_gpl");
SYMBOL_CRC(rio_attach_device, 0xc97a37e2, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x199ea8fb, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x84449785, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0x93acf216, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x3ef351e0, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x847a59cf, "_gpl");
SYMBOL_CRC(rio_dev_put, 0x10e676dd, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x293bd0d9, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x59eb0336, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x5715af0c, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd16828e4, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfd6f2443, "module_put" },
	{ 0xf58475c1, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xae731d70, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x8b3cfade, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x46d779ce, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x7a331529, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xce5d572d, "driver_register" },
	{ 0xe9d889fb, "class_register" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0x8b579f33, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6a9ccada, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfc5954f0, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa6b3b584, "device_unregister" },
	{ 0x27c4b216, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xae3131e0, "dma_release_channel" },
	{ 0x96f54215, "device_for_each_child" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C3C1A8BC085EC9B7BCC133");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
