#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xb518355d, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0x0ce5572b, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x24b71440, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0x99966f08, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0xd740eb3f, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x72313e4f, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0xaaaf4d07, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0xcaa87227, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0xa5a58763, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x66262dea, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x0bf8ac42, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0xb80f95f7, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x0bccc4f3, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xc0693878, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x9861f58b, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x21d3c8e2, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0xd98b68f5, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0xc23df18d, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0xa742bee3, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0x8108dfcb, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0xa5cb9b5d, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0x3f281045, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xbfa93f74, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x4ff3aaea, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0xd2b277f4, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x04ed3b2e, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x0bd9be96, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0x242e1b3b, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0xbaf43f6e, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0x1165183c, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x6d9b74e0, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xd0c1242c, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x140b9e56, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x725ba738, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x0eeff4b1, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0x2c066ea4, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0x0986bf09, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0xe05a4e27, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x46587002, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0xbc64a51a, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x6f71a2a2, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x63dbd49d, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0xabcfcb99, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0x806da08e, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xafb12c40, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5f09d495, "iscsi_host_remove" },
	{ 0xf500ac68, "pci_dev_put" },
	{ 0x693abeaf, "iscsi_host_free" },
	{ 0xdcd33414, "iscsi_host_alloc" },
	{ 0x4655ac2e, "pci_dev_get" },
	{ 0x8c4fa1c7, "iscsi_host_add" },
	{ 0x8c6c5cfe, "scsi_host_put" },
	{ 0x203a08a1, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x313cf9e1, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x39fcf739, "iscsi_conn_queue_xmit" },
	{ 0x3a4ae808, "__kfree_skb" },
	{ 0xcfd1d472, "iscsi_tcp_cleanup_task" },
	{ 0x20fd944e, "cxgbi_ppm_ppod_release" },
	{ 0x74ff35fa, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0x8c076471, "iscsi_tcp_conn_setup" },
	{ 0xeade2725, "iscsi_session_setup" },
	{ 0x4205f077, "iscsi_tcp_r2tpool_alloc" },
	{ 0x3ba76733, "iscsi_session_teardown" },
	{ 0x120baf3a, "iscsi_tcp_r2tpool_free" },
	{ 0x1cc04ada, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd211a378, "_dev_printk" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x51ee9ecc, "iscsi_host_get_param" },
	{ 0xa144eaa, "iscsi_unregister_transport" },
	{ 0xc62c71f7, "alloc_pages_noprof" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd94c10e8, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x9dd1c433, "iscsi_register_transport" },
	{ 0x8ac87f26, "init_net" },
	{ 0x654ea5da, "ip6_route_output_flags" },
	{ 0xf9eb4d5f, "iscsi_tcp_set_max_r2t" },
	{ 0xa4336e03, "iscsi_set_param" },
	{ 0xb29f5580, "__alloc_skb" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x469e5651, "cxgbi_ppm_ppods_reserve" },
	{ 0x4ccc64b6, "dma_map_sg_attrs" },
	{ 0x57119ece, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f459010, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0x74e7cea6, "iscsi_tcp_recv_skb" },
	{ 0x292a7826, "iscsi_lookup_endpoint" },
	{ 0xd1125cc5, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x62ebb800, "iscsi_tcp_hdr_recv_prep" },
	{ 0x2ce558e7, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd187b679, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x6edbabf9, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x9cd98c73, "__folio_put" },
	{ 0x2c441af9, "__put_devmap_managed_folio_refs" },
	{ 0xfd6f2443, "module_put" },
	{ 0xcf20f4cb, "iscsi_destroy_endpoint" },
	{ 0x6dceb250, "ipv6_dev_get_saddr" },
	{ 0x9b8b7080, "neigh_destroy" },
	{ 0xaceab444, "make_kuid" },
	{ 0xaf2ae31c, "ip_route_output_flow" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa9328968, "iscsi_create_endpoint" },
	{ 0xc5f9f0dd, "__ip_dev_find" },
	{ 0xaa6cce20, "skb_put" },
	{ 0xc610012a, "const_pcpu_hot" },
	{ 0xebc5c21a, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xd7f4e333, "iscsi_itt_to_ctask" },
	{ 0x5c0598f0, "param_ops_uint" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
