#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0x92e59d9b, "");
SYMBOL_CRC(pn_sock_unhash, 0xaf93bb90, "");
SYMBOL_CRC(phonet_stream_ops, 0xf9907ccf, "");
SYMBOL_CRC(pn_sock_get_port, 0xb18b47c3, "");
SYMBOL_CRC(phonet_header_ops, 0xe4bee783, "");
SYMBOL_CRC(pn_skb_send, 0x7b0b759b, "");
SYMBOL_CRC(phonet_proto_register, 0xfb51738e, "");
SYMBOL_CRC(phonet_proto_unregister, 0x4c6f1df3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f711f1a, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x19c39eed, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc94fd9b5, "sock_register" },
	{ 0x77a6c968, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb29f5580, "__alloc_skb" },
	{ 0xc610012a, "const_pcpu_hot" },
	{ 0x323ee66e, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xf4f06c68, "rtnl_set_sk_err" },
	{ 0x1207d468, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xfd6f2443, "module_put" },
	{ 0xfa21dacb, "__sk_receive_skb" },
	{ 0x8d9cbce5, "sock_no_shutdown" },
	{ 0x8ac87f26, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x203a08a1, "sk_skb_reason_drop" },
	{ 0x65d5cf96, "dev_remove_pack" },
	{ 0xc24bd502, "dev_get_by_index" },
	{ 0xcc520d2a, "sk_free" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x19fbf46a, "dev_get_by_index_rcu" },
	{ 0x71253452, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2be75dbe, "skb_push" },
	{ 0xc7aead6e, "sock_no_listen" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x688b3e50, "__rtnl_register_many" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x92deb4f0, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x20945897, "skb_copy_datagram_iter" },
	{ 0xa7c74fe8, "sk_alloc" },
	{ 0xd6eca4eb, "unregister_pernet_subsys" },
	{ 0xdbaa9d75, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6edc17fd, "sock_no_mmap" },
	{ 0xd5af8124, "__pskb_pull_tail" },
	{ 0x8f96df64, "netif_rx" },
	{ 0x57ef15de, "sock_common_recvmsg" },
	{ 0xdac63842, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x8dbb9437, "sk_common_release" },
	{ 0xf54b7adc, "seq_pad" },
	{ 0xe9ce4afa, "sock_i_ino" },
	{ 0x67b638b1, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xf52d0a09, "skb_recv_datagram" },
	{ 0x368f890d, "sock_alloc_send_pskb" },
	{ 0x96b9ec87, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4bc692da, "remove_proc_entry" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0xcaac2c6b, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcd69296f, "seq_printf" },
	{ 0xad223e60, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x7f58b5cd, "_copy_from_iter" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x22f4832a, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7df9bbf3, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xddd63233, "sock_init_data" },
	{ 0xc6ca12f2, "sk_ioctl" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x384bd4b3, "release_sock" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x5d22f409, "security_sock_graft" },
	{ 0x847e1301, "skb_free_datagram" },
	{ 0xeec51c2c, "sock_queue_rcv_skb_reason" },
	{ 0x6a9ccada, "try_module_get" },
	{ 0xc8d0a13e, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x946d85f8, "__nlmsg_put" },
	{ 0xaa6cce20, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x32bcd07a, "consume_skb" },
	{ 0x687b8586, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0x3e5ab119, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x24258e, "___pskb_trim" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x54f961e8, "sock_no_connect" },
	{ 0xd3bb7ace, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x464c1db3, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x22e04ee0, "pskb_expand_head" },
	{ 0x4c28caca, "register_pernet_subsys" },
	{ 0x4d4c106d, "skb_queue_purge_reason" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "401DE45A1664A2E99D84E3C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
