#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tls_device_sk_destruct, "_gpl", "");
KSYMTAB_FUNC(tls_offload_tx_resync_request, "_gpl", "");
KSYMTAB_FUNC(tls_get_record, "", "");
KSYMTAB_FUNC(tls_validate_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(tls_encrypt_skb, "_gpl", "");

SYMBOL_CRC(tls_device_sk_destruct, 0x2fa86c9d, "_gpl");
SYMBOL_CRC(tls_offload_tx_resync_request, 0x581a74d3, "_gpl");
SYMBOL_CRC(tls_get_record, 0x01be75ce, "");
SYMBOL_CRC(tls_validate_xmit_skb, 0x0a8d32ec, "_gpl");
SYMBOL_CRC(tls_encrypt_skb, 0x203c9760, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb29f5580, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc610012a, "const_pcpu_hot" },
	{ 0x72efcf2b, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xffa9d77c, "iov_iter_extract_pages" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xc2a814db, "tcp_memory_pressure" },
	{ 0xcfbc5d78, "tcp_recv_skb" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe703088d, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x9b0ffbf5, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x2e6461ed, "crypto_aead_encrypt" },
	{ 0x203a08a1, "sk_skb_reason_drop" },
	{ 0xb4b829bf, "__SCK__tp_func_sk_data_ready" },
	{ 0x5c15a551, "bpf_trace_run5" },
	{ 0xcc520d2a, "sk_free" },
	{ 0x2a47f938, "skb_store_bits" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x162bc0dc, "__sk_mem_reclaim" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x176d6b2, "sk_stream_wait_memory" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x48c11309, "trace_event_reg" },
	{ 0x29303298, "iov_iter_kvec" },
	{ 0xeae0f496, "clean_acked_data_flush" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa24f0732, "sock_recv_errqueue" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x92deb4f0, "lock_sock_nested" },
	{ 0x2c441af9, "__put_devmap_managed_folio_refs" },
	{ 0xe0fc1408, "sk_msg_return_zero" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x20945897, "skb_copy_datagram_iter" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x168cdc38, "bpf_trace_run1" },
	{ 0x4ace6e0b, "tcp_stream_memory_free" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xd6eca4eb, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xbd4422d7, "sock_efree" },
	{ 0xfa3b34ea, "iov_iter_bvec" },
	{ 0x5928a004, "kfree_skb_list_reason" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xcf906ef8, "clean_acked_data_disable" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x8e77c493, "sk_msg_free_partial" },
	{ 0x668b19a1, "down_read" },
	{ 0xdac63842, "skb_trim" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x20648811, "alloc_skb_with_frags" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x75a53a45, "tcp_register_ulp" },
	{ 0x823bba4d, "bpf_trace_run3" },
	{ 0xe0faf7c2, "sk_psock_drop" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9f08c714, "scatterwalk_copychunks" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x415f14d9, "skb_page_frag_refill" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x3bd0d866, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xd54ad1e8, "sk_msg_free_nocharge" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x9cd98c73, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x4bc692da, "remove_proc_entry" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xcd69296f, "seq_printf" },
	{ 0x1cd456bf, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xad223e60, "skb_clone" },
	{ 0xd187b679, "dst_release" },
	{ 0x7f58b5cd, "_copy_from_iter" },
	{ 0x39118377, "skb_copy_header" },
	{ 0x4be5272d, "sk_msg_trim" },
	{ 0xc62c71f7, "alloc_pages_noprof" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0xa531f2ee, "netdev_sk_get_lowest_dev" },
	{ 0x5be36b61, "sk_msg_alloc" },
	{ 0xa5946022, "_copy_from_iter_nocache" },
	{ 0x62756cfe, "tcp_rate_check_app_limited" },
	{ 0x8b08ff8b, "tcp_poll" },
	{ 0x7df9bbf3, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x10f53e69, "sk_msg_zerocopy_from_iter" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x85208399, "skb_to_sgvec" },
	{ 0x53b954a2, "up_read" },
	{ 0x61d4e610, "iov_iter_npages" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0x649168f7, "tcp_read_done" },
	{ 0x384bd4b3, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4913ce70, "sk_msg_free" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x8af20fed, "tcp_bpf_sendmsg_redir" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc1ab5f4c, "tcp_read_sock" },
	{ 0xc857055c, "bpf_trace_run4" },
	{ 0x57af1b0b, "skb_copy_bits" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5fbd1b, "sk_page_frag_refill" },
	{ 0xaa6cce20, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xda193993, "tcp_sendmsg_locked" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x32bcd07a, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19e7d3ef, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xbaa2850, "sk_psock_msg_verdict" },
	{ 0xad3ab3a1, "bpf_trace_run6" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x935df379, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x68cc569c, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xeb9020a6, "iov_iter_get_pages2" },
	{ 0x24258e, "___pskb_trim" },
	{ 0x3467017a, "trace_event_raw_init" },
	{ 0xbfc1d1a, "check_zeroed_user" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xebc5c21a, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xc88a359f, "clean_acked_data_enable" },
	{ 0x72ed7b8b, "skb_splice_bits" },
	{ 0x9ef29c58, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xd372f38a, "__tracepoint_sk_data_ready" },
	{ 0xe08a99fc, "crypto_aead_setauthsize" },
	{ 0x49912b26, "crypto_aead_decrypt" },
	{ 0xe2964344, "__wake_up" },
	{ 0xdb320da, "sk_stream_error" },
	{ 0xee6a626e, "sk_msg_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc483db4f, "sk_msg_memcopy_from_iter" },
	{ 0x7d02f2b1, "sk_error_report" },
	{ 0x4c28caca, "register_pernet_subsys" },
	{ 0x4a330b34, "put_cmsg" },
	{ 0x59bddfc4, "__sk_flush_backlog" },
	{ 0xd8ec4d83, "trace_event_buffer_commit" },
	{ 0x334ae874, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xf06aea95, "sk_psock_tls_strp_read" },
	{ 0xabe9981a, "sk_msg_clone" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "26F4C60623D60E0D3C82B53");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
