#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(null_dailink_component, "_gpl", "");
KSYMTAB_DATA(snd_soc_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_name_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_rtdcom_lookup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component_nolocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_lookup_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_close_delayed_work, "_gpl", "");
KSYMTAB_FUNC(snd_soc_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_resume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_copy_dai_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_find_dai_with_mutex, "_gpl", "");
KSYMTAB_FUNC(snd_soc_remove_pcm_runtime, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_pcm_runtimes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_set_dai_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_set_dmi_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_poweroff, "_gpl", "");
KSYMTAB_DATA(snd_soc_pm_ops, "_gpl", "");
KSYMTAB_FUNC(snd_soc_cnew, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_card_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_dai_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_card, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_initialize, "_gpl", "");
KSYMTAB_FUNC(snd_soc_add_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component_by_driver, "_gpl", "");
KSYMTAB_FUNC(snd_soc_unregister_component, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_card_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_simple_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_pin_switches, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_slot_mask, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dlc_use_cpu_as_platform, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_node_prefix, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_audio_routing, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_parse_aux_devs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_flipped, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_clock_provider_from_bitmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_format, "_gpl", "");
KSYMTAB_FUNC(snd_soc_daifmt_parse_clock_provider_raw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_stream_cpu, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_id, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_name, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_dai_via_args, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_codecs, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_put_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(snd_soc_of_get_dai_link_cpus, "_gpl", "");
KSYMTAB_FUNC(dapm_mark_endpoints_dirty, "_gpl", "");
KSYMTAB_FUNC(dapm_kcontrol_get_value, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_kcontrol_dapm, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_bias_level, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_get_connected_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_dai_free_widgets, "_gpl", "");
KSYMTAB_FUNC(dapm_regulator_event, "_gpl", "");
KSYMTAB_FUNC(dapm_pinctrl_event, "_gpl", "");
KSYMTAB_FUNC(dapm_clock_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mux_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_mixer_update_power, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free_widget, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_sync, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_update_dai, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_widget_name_cmp, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_add_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_del_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_weak_routes, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_info_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_put_pin_switch, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_controls, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_new_dai_widgets, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_stream_stop, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_ignore_suspend, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dapm_init, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_report, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_zones, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_get_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_notifier_unregister, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_add_gpiods, "_gpl", "");
KSYMTAB_FUNC(snd_soc_jack_free_gpios, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_frame_size, "_gpl", "");
KSYMTAB_FUNC(snd_soc_calc_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tdm_params_to_bclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_is_dummy, "_gpl", "");
KSYMTAB_DATA(snd_soc_dummy_dlc, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_clkdiv, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_bclk_ratio, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_fmt, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tdm_slot, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_get_channel_map, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_set_tristate, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_digital_mute, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_active, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dai_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_sysclk, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_pll, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_disable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_nc_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_pin_status, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_force_enable_pin_unlocked, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_notify_control, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_set_jack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_get_jack_type, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_init_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_exit_regmap, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_open, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_free, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_codec_caps, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_ack, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_pointer, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_copy, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_set_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_compr_get_metadata, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_update_bits_async, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_read_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_write_field, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_async_complete, "_gpl", "");
KSYMTAB_FUNC(snd_soc_component_test_bits, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_action, "_gpl", "");
KSYMTAB_FUNC(snd_soc_runtime_calc_hw, "_gpl", "");
KSYMTAB_FUNC(widget_in_list, "_gpl", "");
KSYMTAB_FUNC(dpcm_end_walk_at_be, "_gpl", "");
KSYMTAB_FUNC(dpcm_be_dai_trigger, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_runtime_update, "_gpl", "");
KSYMTAB_FUNC(snd_soc_dpcm_get_substream, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_component, "_gpl", "");
KSYMTAB_FUNC(devm_snd_soc_register_card, "_gpl", "");
KSYMTAB_FUNC(devm_snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_enum_double, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_volsw_range, "_gpl", "");
KSYMTAB_FUNC(snd_soc_limit_volume, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_get, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_put, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_info_ext, "_gpl", "");
KSYMTAB_FUNC(snd_soc_bytes_tlv_callback, "_gpl", "");
KSYMTAB_FUNC(snd_soc_info_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_xr_sx, "_gpl", "");
KSYMTAB_FUNC(snd_soc_get_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_put_strobe, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_startup, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_shutdown, "_gpl", "");
KSYMTAB_FUNC(snd_soc_link_compr_set_params, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_get_kcontrol, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_jack_new_pins, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_add_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_card_remove_dai_link, "_gpl", "");
KSYMTAB_FUNC(snd_soc_new_compress, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_widget_bind_event, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_load, "_gpl", "");
KSYMTAB_FUNC(snd_soc_tplg_component_remove, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_prepare_slave_config, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_register, "_gpl", "");
KSYMTAB_FUNC(snd_dmaengine_pcm_unregister, "_gpl", "");

SYMBOL_CRC(null_dailink_component, 0x8a1cc55e, "_gpl");
SYMBOL_CRC(snd_soc_debugfs_root, 0xbd31e26a, "_gpl");
SYMBOL_CRC(snd_soc_dai_name_get, 0xa2158b5d, "_gpl");
SYMBOL_CRC(snd_soc_rtdcom_lookup, 0x0ad92e27, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component_nolocked, 0x777ad0ae, "_gpl");
SYMBOL_CRC(snd_soc_lookup_component, 0x57eacad9, "_gpl");
SYMBOL_CRC(snd_soc_get_pcm_runtime, 0x8e99f19a, "_gpl");
SYMBOL_CRC(snd_soc_close_delayed_work, 0x76e8f2a1, "_gpl");
SYMBOL_CRC(snd_soc_suspend, 0xe449bf87, "_gpl");
SYMBOL_CRC(snd_soc_resume, 0x78ea4500, "_gpl");
SYMBOL_CRC(snd_soc_copy_dai_args, 0x5d090256, "_gpl");
SYMBOL_CRC(snd_soc_find_dai, 0x2600f906, "_gpl");
SYMBOL_CRC(snd_soc_find_dai_with_mutex, 0xb7814bd8, "_gpl");
SYMBOL_CRC(snd_soc_remove_pcm_runtime, 0x130c653f, "_gpl");
SYMBOL_CRC(snd_soc_add_pcm_runtimes, 0x2342914a, "_gpl");
SYMBOL_CRC(snd_soc_runtime_set_dai_fmt, 0xf522c7cc, "_gpl");
SYMBOL_CRC(snd_soc_set_dmi_name, 0xe157a35f, "_gpl");
SYMBOL_CRC(snd_soc_poweroff, 0x90ca6069, "_gpl");
SYMBOL_CRC(snd_soc_pm_ops, 0xcd22ad8c, "_gpl");
SYMBOL_CRC(snd_soc_cnew, 0xa523f4b0, "_gpl");
SYMBOL_CRC(snd_soc_add_component_controls, 0x0e69e68d, "_gpl");
SYMBOL_CRC(snd_soc_add_card_controls, 0xf1dcca67, "_gpl");
SYMBOL_CRC(snd_soc_add_dai_controls, 0x846595bd, "_gpl");
SYMBOL_CRC(snd_soc_register_card, 0x2f59f142, "_gpl");
SYMBOL_CRC(snd_soc_unregister_card, 0xc145b619, "_gpl");
SYMBOL_CRC(snd_soc_unregister_dai, 0x79ebe606, "_gpl");
SYMBOL_CRC(snd_soc_register_dai, 0xdd60349c, "_gpl");
SYMBOL_CRC(snd_soc_component_initialize, 0x7bd6054c, "_gpl");
SYMBOL_CRC(snd_soc_add_component, 0x9b3ba157, "_gpl");
SYMBOL_CRC(snd_soc_register_component, 0x2121624a, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component_by_driver, 0xf8c69862, "_gpl");
SYMBOL_CRC(snd_soc_unregister_component, 0xfe1064c7, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_card_name, 0xf700ac18, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_simple_widgets, 0x66c27e32, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_pin_switches, 0x4905b512, "_gpl");
SYMBOL_CRC(snd_soc_of_get_slot_mask, 0x6af037f1, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_tdm_slot, 0x0034b19a, "_gpl");
SYMBOL_CRC(snd_soc_dlc_use_cpu_as_platform, 0x892b2d45, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_node_prefix, 0xd5bd4ce2, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_audio_routing, 0xe2badae3, "_gpl");
SYMBOL_CRC(snd_soc_of_parse_aux_devs, 0xed99560a, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_flipped, 0xc317a15e, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_clock_provider_from_bitmap, 0xf9622dd1, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_format, 0x0b6005e8, "_gpl");
SYMBOL_CRC(snd_soc_daifmt_parse_clock_provider_raw, 0xf36c3bdb, "_gpl");
SYMBOL_CRC(snd_soc_get_stream_cpu, 0xb96af413, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_id, 0x3e783777, "_gpl");
SYMBOL_CRC(snd_soc_get_dlc, 0xb75da25b, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dlc, 0xb5c6fcb0, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_name, 0xbb33dd0f, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_name, 0xecdd1b9b, "_gpl");
SYMBOL_CRC(snd_soc_get_dai_via_args, 0x8929ab6a, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_codecs, 0x85157d12, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_codecs, 0xa4ae900a, "_gpl");
SYMBOL_CRC(snd_soc_of_put_dai_link_cpus, 0x00c5db75, "_gpl");
SYMBOL_CRC(snd_soc_of_get_dai_link_cpus, 0x2323e03c, "_gpl");
SYMBOL_CRC(dapm_mark_endpoints_dirty, 0x11cf90ae, "_gpl");
SYMBOL_CRC(dapm_kcontrol_get_value, 0x0845cb1b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_widget, 0xb65d0f6e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_kcontrol_dapm, 0xd1eccd34, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_bias_level, 0x165998d0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_get_connected_widgets, 0xd0d8af1a, "_gpl");
SYMBOL_CRC(snd_soc_dapm_dai_free_widgets, 0x1391eb6f, "_gpl");
SYMBOL_CRC(dapm_regulator_event, 0xc0454b41, "_gpl");
SYMBOL_CRC(dapm_pinctrl_event, 0xd9392296, "_gpl");
SYMBOL_CRC(dapm_clock_event, 0x25535efd, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mux_update_power, 0x510931a3, "_gpl");
SYMBOL_CRC(snd_soc_dapm_mixer_update_power, 0x1a0199e6, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free_widget, 0x964ee5b0, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync_unlocked, 0xb7ecc565, "_gpl");
SYMBOL_CRC(snd_soc_dapm_sync, 0xc45f505f, "_gpl");
SYMBOL_CRC(snd_soc_dapm_update_dai, 0x4fdec6ae, "_gpl");
SYMBOL_CRC(snd_soc_dapm_widget_name_cmp, 0x21e26671, "_gpl");
SYMBOL_CRC(snd_soc_dapm_add_routes, 0xf862ebef, "_gpl");
SYMBOL_CRC(snd_soc_dapm_del_routes, 0xb4e11403, "_gpl");
SYMBOL_CRC(snd_soc_dapm_weak_routes, 0x5efffc5c, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_widgets, 0x9c7cbf38, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_volsw, 0x85a5e0b2, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_volsw, 0xa77044ec, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_enum_double, 0xc94bc761, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_enum_double, 0x502b4c95, "_gpl");
SYMBOL_CRC(snd_soc_dapm_info_pin_switch, 0x4dbff27b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_switch, 0xe1724506, "_gpl");
SYMBOL_CRC(snd_soc_dapm_put_pin_switch, 0x88a80b05, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_control, 0x67b88b4b, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_controls, 0x7422aa12, "_gpl");
SYMBOL_CRC(snd_soc_dapm_new_dai_widgets, 0x4e28bf2e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_stream_stop, 0x92b90876, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin_unlocked, 0x8a71b6ce, "_gpl");
SYMBOL_CRC(snd_soc_dapm_enable_pin, 0x76493973, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin_unlocked, 0xa1216f31, "_gpl");
SYMBOL_CRC(snd_soc_dapm_force_enable_pin, 0x058f4006, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin_unlocked, 0xeeec2287, "_gpl");
SYMBOL_CRC(snd_soc_dapm_disable_pin, 0x33601f8d, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin_unlocked, 0xe5893f72, "_gpl");
SYMBOL_CRC(snd_soc_dapm_nc_pin, 0x7e3c770e, "_gpl");
SYMBOL_CRC(snd_soc_dapm_get_pin_status, 0x6c60daae, "_gpl");
SYMBOL_CRC(snd_soc_dapm_ignore_suspend, 0x3d676705, "_gpl");
SYMBOL_CRC(snd_soc_dapm_free, 0x3e85becb, "_gpl");
SYMBOL_CRC(snd_soc_dapm_init, 0xeb16aae3, "_gpl");
SYMBOL_CRC(snd_soc_jack_report, 0xcdd95fba, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_zones, 0x4de79d0b, "_gpl");
SYMBOL_CRC(snd_soc_jack_get_type, 0x081f3fec, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_pins, 0x1df5b879, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_register, 0x392c0e3f, "_gpl");
SYMBOL_CRC(snd_soc_jack_notifier_unregister, 0xaafca4cf, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpios, 0xad9d980e, "_gpl");
SYMBOL_CRC(snd_soc_jack_add_gpiods, 0xcf99095a, "_gpl");
SYMBOL_CRC(snd_soc_jack_free_gpios, 0xd451a593, "_gpl");
SYMBOL_CRC(snd_soc_calc_frame_size, 0x2541a979, "_gpl");
SYMBOL_CRC(snd_soc_params_to_frame_size, 0xee9124b3, "_gpl");
SYMBOL_CRC(snd_soc_calc_bclk, 0x7e606130, "_gpl");
SYMBOL_CRC(snd_soc_params_to_bclk, 0x2acda8a0, "_gpl");
SYMBOL_CRC(snd_soc_tdm_params_to_bclk, 0x6c456e7b, "_gpl");
SYMBOL_CRC(snd_soc_dai_is_dummy, 0x4f916817, "_gpl");
SYMBOL_CRC(snd_soc_dummy_dlc, 0xc681be78, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_sysclk, 0x722a33c2, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_clkdiv, 0x657515a6, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_pll, 0xfc3004de, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_bclk_ratio, 0x561216e6, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_fmt, 0xcc33d482, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tdm_slot, 0x1b26ec27, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_channel_map, 0x45b7588d, "_gpl");
SYMBOL_CRC(snd_soc_dai_get_channel_map, 0x348dbf98, "_gpl");
SYMBOL_CRC(snd_soc_dai_set_tristate, 0x6ed320af, "_gpl");
SYMBOL_CRC(snd_soc_dai_digital_mute, 0xde3b0c65, "_gpl");
SYMBOL_CRC(snd_soc_dai_action, 0x7b2680dd, "_gpl");
SYMBOL_CRC(snd_soc_dai_active, 0xe952bbe2, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_startup, 0x2416e930, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_shutdown, 0x8b1b2344, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_trigger, 0xf0697359, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_params, 0xa4e46dd2, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_params, 0x6f964d57, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_ack, 0xf7214318, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_pointer, 0x9c393a03, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_set_metadata, 0x9ea58bba, "_gpl");
SYMBOL_CRC(snd_soc_dai_compr_get_metadata, 0x9e7ad108, "_gpl");
SYMBOL_CRC(snd_soc_component_set_sysclk, 0x3626256f, "_gpl");
SYMBOL_CRC(snd_soc_component_set_pll, 0x55cc4efd, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin, 0xf3169ea6, "_gpl");
SYMBOL_CRC(snd_soc_component_enable_pin_unlocked, 0x4e35abd2, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin, 0x6a360e74, "_gpl");
SYMBOL_CRC(snd_soc_component_disable_pin_unlocked, 0xae90088b, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin, 0x8f564878, "_gpl");
SYMBOL_CRC(snd_soc_component_nc_pin_unlocked, 0x6a69f621, "_gpl");
SYMBOL_CRC(snd_soc_component_get_pin_status, 0x9c6720ef, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin, 0x16ceae66, "_gpl");
SYMBOL_CRC(snd_soc_component_force_enable_pin_unlocked, 0xad9a3cf4, "_gpl");
SYMBOL_CRC(snd_soc_component_get_kcontrol, 0xa8187d16, "_gpl");
SYMBOL_CRC(snd_soc_component_notify_control, 0x35d16592, "_gpl");
SYMBOL_CRC(snd_soc_component_set_jack, 0xf1559367, "_gpl");
SYMBOL_CRC(snd_soc_component_get_jack_type, 0x19da0263, "_gpl");
SYMBOL_CRC(snd_soc_component_init_regmap, 0xbb2e8def, "_gpl");
SYMBOL_CRC(snd_soc_component_exit_regmap, 0x014df3ba, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_open, 0x79b14edf, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_free, 0xa8166c18, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_trigger, 0xa03251ba, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_params, 0x1e491018, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_params, 0x87256084, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_caps, 0x442bf8f9, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_codec_caps, 0xeb1d3305, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_ack, 0x4d9a48d7, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_pointer, 0x1ba43282, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_copy, 0xabfc2ef5, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_set_metadata, 0x3a30dacd, "_gpl");
SYMBOL_CRC(snd_soc_component_compr_get_metadata, 0x42e9297e, "_gpl");
SYMBOL_CRC(snd_soc_component_read, 0xbccefac2, "_gpl");
SYMBOL_CRC(snd_soc_component_write, 0x1d093efa, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits, 0x654b9faa, "_gpl");
SYMBOL_CRC(snd_soc_component_update_bits_async, 0x2c1561c4, "_gpl");
SYMBOL_CRC(snd_soc_component_read_field, 0xd86b982f, "_gpl");
SYMBOL_CRC(snd_soc_component_write_field, 0xd8a686a2, "_gpl");
SYMBOL_CRC(snd_soc_component_async_complete, 0xf0634dc1, "_gpl");
SYMBOL_CRC(snd_soc_component_test_bits, 0xf3092dbd, "_gpl");
SYMBOL_CRC(snd_soc_runtime_action, 0xf8e94064, "_gpl");
SYMBOL_CRC(snd_soc_runtime_calc_hw, 0xff31481f, "_gpl");
SYMBOL_CRC(widget_in_list, 0x1a397fcc, "_gpl");
SYMBOL_CRC(dpcm_end_walk_at_be, 0x8ef1f654, "_gpl");
SYMBOL_CRC(dpcm_be_dai_trigger, 0xa9d709f2, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_runtime_update, 0x99be22e8, "_gpl");
SYMBOL_CRC(snd_soc_dpcm_get_substream, 0x0ba6d652, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_component, 0x7f03b69a, "_gpl");
SYMBOL_CRC(devm_snd_soc_register_card, 0x6784b371, "_gpl");
SYMBOL_CRC(devm_snd_dmaengine_pcm_register, 0xfac722d7, "_gpl");
SYMBOL_CRC(snd_soc_info_enum_double, 0x91105881, "_gpl");
SYMBOL_CRC(snd_soc_get_enum_double, 0xa4fd665e, "_gpl");
SYMBOL_CRC(snd_soc_put_enum_double, 0x53dfc1ff, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw, 0xd376e2ec, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_sx, 0x47e56434, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw, 0x42456577, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw, 0x7c18a8ef, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_sx, 0xeec93ef2, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_sx, 0x764753ce, "_gpl");
SYMBOL_CRC(snd_soc_info_volsw_range, 0x76953332, "_gpl");
SYMBOL_CRC(snd_soc_put_volsw_range, 0x0150a6a2, "_gpl");
SYMBOL_CRC(snd_soc_get_volsw_range, 0xf6720103, "_gpl");
SYMBOL_CRC(snd_soc_limit_volume, 0x4301117c, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info, 0x0e6e08a2, "_gpl");
SYMBOL_CRC(snd_soc_bytes_get, 0xdff35d6d, "_gpl");
SYMBOL_CRC(snd_soc_bytes_put, 0xe2fde4e2, "_gpl");
SYMBOL_CRC(snd_soc_bytes_info_ext, 0x61ab9309, "_gpl");
SYMBOL_CRC(snd_soc_bytes_tlv_callback, 0x9b11212d, "_gpl");
SYMBOL_CRC(snd_soc_info_xr_sx, 0xafd0b65d, "_gpl");
SYMBOL_CRC(snd_soc_get_xr_sx, 0xfe5f4039, "_gpl");
SYMBOL_CRC(snd_soc_put_xr_sx, 0xc0028da1, "_gpl");
SYMBOL_CRC(snd_soc_get_strobe, 0xba1a0b67, "_gpl");
SYMBOL_CRC(snd_soc_put_strobe, 0x44f04ddc, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_startup, 0x038abe28, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_shutdown, 0x6e98d01d, "_gpl");
SYMBOL_CRC(snd_soc_link_compr_set_params, 0xd817190a, "_gpl");
SYMBOL_CRC(snd_soc_card_get_kcontrol, 0x14d130d5, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new, 0x73f10a0f, "_gpl");
SYMBOL_CRC(snd_soc_card_jack_new_pins, 0x0cdda1ea, "_gpl");
SYMBOL_CRC(snd_soc_card_add_dai_link, 0x24d9f530, "_gpl");
SYMBOL_CRC(snd_soc_card_remove_dai_link, 0x2188caf5, "_gpl");
SYMBOL_CRC(snd_soc_new_compress, 0x5626209d, "_gpl");
SYMBOL_CRC(snd_soc_tplg_widget_bind_event, 0xee49069a, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_load, 0xdfc55cd7, "_gpl");
SYMBOL_CRC(snd_soc_tplg_component_remove, 0x043176fe, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_prepare_slave_config, 0x2f60dda3, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_register, 0xe51b2fd3, "_gpl");
SYMBOL_CRC(snd_dmaengine_pcm_unregister, 0xaa7a1bfe, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x63467d08, "snd_pcm_stream_unlock_irq" },
	{ 0x3d629efd, "pm_wakeup_dev_event" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0xfb7736ad, "devm_kstrdup" },
	{ 0xb267f46d, "snd_pcm_stream_lock_irq" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1e506b7d, "debugfs_lookup_and_remove" },
	{ 0xd16828e4, "put_device" },
	{ 0x4e0240e0, "gpiod_unexport" },
	{ 0x8118d5a1, "snd_component_add" },
	{ 0xa916b694, "strnlen" },
	{ 0xafb214fd, "devm_regulator_get" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x39a16022, "snd_dmaengine_pcm_close" },
	{ 0x566bd065, "dma_get_slave_caps" },
	{ 0x34434ae6, "_dev_info" },
	{ 0xfd6f2443, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc6a729f, "snd_ctl_enum_info" },
	{ 0x92af93a5, "snd_card_new" },
	{ 0x4635dfff, "snd_card_disconnect_sync" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x53c14ac4, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x2054dbf1, "snd_dmaengine_pcm_request_channel" },
	{ 0x9b0ffbf5, "perf_trace_run_bpf_submit" },
	{ 0xde55467f, "devm_kfree" },
	{ 0xf58475c1, "_dev_err" },
	{ 0x9f04ec59, "pinctrl_pm_select_sleep_state" },
	{ 0x3561eee8, "simple_open" },
	{ 0x6b4736d1, "snd_pcm_lib_ioctl" },
	{ 0xc3b8de37, "platform_device_unregister" },
	{ 0xdbdb0e8b, "request_any_context_irq" },
	{ 0xdc02eb39, "dmi_available" },
	{ 0xa39abf69, "snd_jack_new" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x57eec6f5, "snd_pcm_stream_unlock_irqrestore" },
	{ 0x77f7aa6d, "snd_jack_add_new_kctl" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc6a615e3, "dev_get_regmap" },
	{ 0xca9423af, "debugfs_remove" },
	{ 0x9cc4f70a, "register_pm_notifier" },
	{ 0xbcdffd89, "__devres_alloc_node" },
	{ 0x48c11309, "trace_event_reg" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xb5efad7b, "snd_ctl_notify" },
	{ 0xd7c678fb, "regulator_allow_bypass" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x278632b2, "snd_pcm_set_ops" },
	{ 0x323d8f02, "regmap_async_complete" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x98c2efe7, "snd_pcm_set_managed_buffer" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8dd90c83, "_snd_pcm_stream_lock_irqsave_nested" },
	{ 0x11089ac7, "_ctype" },
	{ 0x46d779ce, "device_register" },
	{ 0x168cdc38, "bpf_trace_run1" },
	{ 0xaef4de80, "default_llseek" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x4bcdc1b6, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcf9e6981, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x792c4828, "snd_dmaengine_pcm_open" },
	{ 0x343293d0, "regmap_parse_val" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc8dbac82, "snd_pcm_suspend_all" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x47e28f33, "snd_dmaengine_pcm_pointer" },
	{ 0x80704071, "__platform_driver_register" },
	{ 0xbaa407ab, "dma_request_chan" },
	{ 0x541f984, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xaf140c07, "pinctrl_lookup_state" },
	{ 0x823bba4d, "bpf_trace_run3" },
	{ 0x108875b9, "seq_read" },
	{ 0x70ee9f07, "snd_compress_new" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xf2485c37, "snd_hwparams_to_dma_slave_config" },
	{ 0x95133d39, "platform_device_register_full" },
	{ 0xe9ce13b9, "regmap_read" },
	{ 0x3bd0d866, "trace_event_buffer_reserve" },
	{ 0x2f490a3f, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb930881e, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcd69296f, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb0637e96, "devm_pinctrl_get" },
	{ 0xd21b61bd, "async_schedule_node_domain" },
	{ 0x7f58b5cd, "_copy_from_iter" },
	{ 0x580c1902, "debugfs_create_file_full" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb654ac18, "pinctrl_select_state" },
	{ 0x99832225, "snd_power_wait" },
	{ 0x5bf7cb6d, "snd_pcm_hw_constraint_msbits" },
	{ 0xb619efa1, "single_release" },
	{ 0xd88a2210, "regmap_update_bits_base" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x8be2b3cc, "dev_err_probe" },
	{ 0x3cf7bea, "snd_dmaengine_pcm_set_config_from_dai_data" },
	{ 0x2691aefa, "device_add_groups" },
	{ 0x6baf9738, "__pm_runtime_suspend" },
	{ 0x71393b40, "regmap_exit" },
	{ 0x81188c30, "match_string" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x2c9ca83d, "regmap_raw_write" },
	{ 0x754d539c, "strlen" },
	{ 0x7a331529, "param_ops_int" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x10d1b854, "single_open" },
	{ 0xa286a234, "snd_pcm_format_name" },
	{ 0x11a4c250, "debugfs_create_dir" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x815588a6, "clk_enable" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0x1940c4d8, "__pm_runtime_idle" },
	{ 0x9589dc19, "kmalloc_caches" },
	{ 0x847188e8, "krealloc_noprof" },
	{ 0xc85b87f1, "snd_dmaengine_pcm_pointer_no_residue" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x6657afe, "gpiod_get_value_cansleep" },
	{ 0x5c1563e4, "regulator_enable" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x6a9ccada, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xab8bc1a2, "snd_pcm_rate_mask_intersect" },
	{ 0x7abeeb8b, "_copy_to_iter" },
	{ 0xcdfc17a0, "gpiod_put" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x4cc72e26, "regmap_write" },
	{ 0x5c0598f0, "param_ops_uint" },
	{ 0xeacb788d, "devm_kmalloc" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfc5954f0, "dev_set_name" },
	{ 0x9c0b406a, "regmap_get_val_bytes" },
	{ 0x2c0a2630, "platform_driver_unregister" },
	{ 0xd61f2ae2, "snd_ctl_add" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x7173eec7, "snd_dmaengine_pcm_sync_stop" },
	{ 0xa029da60, "snd_pcm_new" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4160ff81, "snd_jack_report" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x19e7d3ef, "trace_raw_output_prep" },
	{ 0xe1264d38, "regmap_raw_read" },
	{ 0xb0b578c5, "snd_card_register" },
	{ 0xa6b3b584, "device_unregister" },
	{ 0xe27653db, "snd_card_free" },
	{ 0x935df379, "__trace_trigger_soft_disabled" },
	{ 0x68cc569c, "trace_event_printf" },
	{ 0xa644b979, "devres_destroy" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xe0c39bbd, "gpiod_get_index" },
	{ 0xe9efcdb, "snd_dmaengine_pcm_trigger" },
	{ 0x7681946c, "unregister_pm_notifier" },
	{ 0xf422c1c2, "snd_pcm_hw_constraint_minmax" },
	{ 0x3467017a, "trace_event_raw_init" },
	{ 0x8520efe, "gpiod_to_irq" },
	{ 0x374388b1, "gpiod_export" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6ca4bf88, "async_synchronize_full_domain" },
	{ 0x37a0cba, "kfree" },
	{ 0xae3131e0, "dma_release_channel" },
	{ 0xebc5c21a, "pcpu_hot" },
	{ 0xbb73185c, "seq_lseek" },
	{ 0x68a24153, "snd_pcm_format_physical_width" },
	{ 0x822455bb, "regcache_mark_dirty" },
	{ 0x7cc4d6a7, "bpf_trace_run2" },
	{ 0xe2964344, "__wake_up" },
	{ 0x148653, "vsnprintf" },
	{ 0x988f1a7c, "regulator_disable_deferred" },
	{ 0x59eb0336, "__dynamic_dev_dbg" },
	{ 0x29fbe222, "snd_ctl_remove" },
	{ 0xbcde96bf, "snd_ctl_free_one" },
	{ 0x7b9585c2, "snd_ctl_find_id" },
	{ 0xe7ec9738, "devm_clk_get" },
	{ 0xc192b3e1, "devres_add" },
	{ 0x1655ad8b, "snd_pcm_new_internal" },
	{ 0x907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xa1265583, "snd_dmaengine_pcm_refine_runtime_hwparams" },
	{ 0x21f7b128, "snd_dmaengine_pcm_get_chan" },
	{ 0xcedc4c6, "pinctrl_pm_select_default_state" },
	{ 0xd8ec4d83, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0xa48d0a4a, "snd_ctl_new1" },
	{ 0x92997ed8, "_printk" },
	{ 0x6f79d97, "module_layout" },
};

MODULE_INFO(depends, "snd-pcm,snd,snd-pcm-dmaengine,snd-compress");


MODULE_INFO(srcversion, "C79C3A15BF10561321338DD");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
